2010-02-09T16:13:39.643382Z Ralph Giles

>     Clean up some typos in the release notes, and mention the reduced memory
>     footprint of the halftone cache from r10006.

> [doc/News.htm]

2010-02-08T22:10:30.586772Z Ralph Giles

>     Update the change logs for the second 8.71 release candidate.

> [doc/Changes.htm doc/History8.htm doc/News.htm doc/Details8.htm doc/Details.htm]

2010-02-08T22:03:22.755385Z Ralph Giles

>     Add some notes on what's new in the 8.71 release.

> [doc/News.htm]

2010-02-08T20:06:58.778484Z Ralph Giles

>     Update the the release dates for the second 8.71 release candidate.

> [doc/History7.htm doc/Projects.htm doc/History8.htm man/dvipdf.1 base/gscdef.c man/ps2ascii.1 doc/Use.htm doc/Readme.htm doc/Source.htm doc/Deprecated.htm man/ps2epsi.1 doc/Install.htm doc/API.htm doc/Issues.htm doc/DLL.htm doc/Drivers.htm man/pfbtopfa.1 doc/Release.htm doc/Commprod.htm doc/Xfonts.htm doc/Devices.htm doc/Language.htm man/gs.1 man/pf2afm.1 doc/Fonts.htm doc/Ps2ps2.htm man/printafm.1 doc/Ps2pdf.htm doc/Develop.htm doc/Helpers.htm man/pdf2dsc.1 doc/Psfiles.htm doc/Lib.htm doc/gs-vms.hlp man/font2c.1 man/gsnd.1 base/version.mak man/pdfopt.1 doc/News.htm man/pdf2ps.1 man/ps2pdf.1 doc/Make.htm doc/Details8.htm doc/Unix-lpr.htm doc/C-style.htm doc/Ps-style.htm doc/History1.htm doc/History2.htm man/gslp.1 man/wftopfa.1 doc/History3.htm man/ps2ps.1 doc/Ps2epsi.htm doc/History4.htm man/ps2pdfwr.1 doc/History5.htm doc/History6.htm]

2010-02-08T17:35:32.033134Z Robin Watts

>     Update Visual Studio solutions to use the DEVSTUDIO= form of makefile
>     invocation, rather than MSVC_STUDIO=8 version. This should isolate the
>     solution/projects entirely from the version of visual studio in use.

>     Simplify the ReadMe.txt file accordingly.

>     Take the opportunity to add the resource files to the list in the
>     ghostscript.vcproj file. This makes no difference to the project in
>     terms of building, but enables easy navigation/editing of files
>     within VS.

> [/trunk/ghostpdl/win32/ReadMe.txt /trunk/ghostpdl/win32/xps.vcproj ghostscript.vcproj /trunk/ghostpdl/win32/pcl.vcproj /trunk/ghostpdl/win32/svg.vcproj /trunk/ghostpdl/win32/language_switch.vcproj]

2010-02-08T16:45:47.345828Z Ken Sharp

>     Fix (pdfwrite) bug #691101 (part 2 of 2)

>     The revisions 10474 and 10476 were intended to address an indeterminism but actually
>     introduced a fairly serious regression. The code was changed to return any error value
>     from the glyph_info method before testing the members of the 'info' structure passed to
>     the method. Previously one of the member could be examined when an error had meant that
>     the member was still uniinitialised.

>     However, these revision missed the fact that the glyph_info method can return a
>     'rangecheck' error when they require a CDevProc to be executed. Because the error code
>     was tested before checking for a CDevProc, the pdfwrite code never executed the
>     CDevproc.

>     This resulted in a (very) few regressions, this is because the PDF interpreter uses
>     a CDevProc to alter the widths of glyphs if a /W array is present in a PDF file.

>     The code now initialises the member of the structure to 0, which we then test before
>     checking the return code. If we need to run a CDevProc we now do so.

>     Part 2 of this commit explains some further issues with CDevProcs.

> [base/gdevpdtt.c]

2010-02-08T16:45:18.598274Z Ken Sharp

>     Fix (pdfwrite) bug #691101 (part 1 of 2)

>     The revision 10603 fixed a number of issues relating to FontMatrix and descendant fonts
>     of CIDFonts. However part of the fix, in CIDWProc, used 'currentfont' to address the
>     font dictionary instead of 'currentdict', as is done in the rest of the routine.

>     For rendering devices this works well, but for pdfwrite the two dictionaries are not
>     the same, and this causes PostScript errors.

>     This error was initially hidden by the revisions 10474 and 10476 which inadvertently
>     caused all CDevProc routines not to execute when using pdfwrite.

>     This patch alters the CIDWProc to use currentdict instead of currentfont, there are no
>     differences with rendering devices but with pdfwrite this causes the CDevProc to
>     execute properly, eliminating a number of errors (when the faulty revisiions 10474
>     and 10476 are rolled back)

> [Resource/Init/pdf_font.ps]

2010-02-04T17:47:57.663462Z Lars Uebernickel

>     Changed MaxStripSize for TIFF devices to default to 8 KB.

>     This is necessary, because libtiff keeps a whole strip in memory at a time,
>     which resulted in very large buffers for big files.  Support of MaxStripSize for
>     all TIFF devices which didn't have it before was also added.

> [base/gdevtifs.c base/gdevtifs.h tiff/libtiff/tif_config.vc.h base/gdevtsep.c doc/Devices.htm base/gdevtfnx.c base/gdevtfax.c]

2010-02-04T03:38:54.455593Z Ralph Giles

>     Update change logs for the 8.71 release candidate.

> [doc/Changes.htm doc/History8.htm doc/Details8.htm doc/Details.htm]

2010-02-03T22:46:15.528358Z Ralph Giles

>     Remove the list of open bugs.

>     It's grown long enough to be unhelpful to track explicitly in each release.

> [doc/News.htm]

2010-02-03T22:42:50.644387Z Ralph Giles

>     Update release date for the 8.71 release candidate.

> [doc/History7.htm doc/Projects.htm doc/History8.htm man/dvipdf.1 base/gscdef.c man/ps2ascii.1 doc/Use.htm doc/Readme.htm doc/Source.htm doc/Deprecated.htm man/ps2epsi.1 doc/Install.htm doc/API.htm doc/Issues.htm doc/DLL.htm doc/Drivers.htm man/pfbtopfa.1 doc/Release.htm doc/Commprod.htm doc/Xfonts.htm doc/Devices.htm doc/Language.htm man/gs.1 man/pf2afm.1 doc/Fonts.htm doc/Ps2ps2.htm man/printafm.1 doc/Ps2pdf.htm doc/Develop.htm doc/Helpers.htm man/pdf2dsc.1 doc/Psfiles.htm doc/Lib.htm doc/gs-vms.hlp man/font2c.1 man/gsnd.1 base/version.mak man/pdfopt.1 doc/News.htm man/pdf2ps.1 man/ps2pdf.1 doc/Make.htm doc/Details8.htm doc/Unix-lpr.htm doc/C-style.htm doc/Ps-style.htm doc/History1.htm doc/History2.htm man/gslp.1 man/wftopfa.1 doc/History3.htm man/ps2ps.1 doc/Ps2epsi.htm doc/History4.htm man/ps2pdfwr.1 doc/History5.htm doc/History6.htm]

2010-02-03T22:39:42.033100Z Ralph Giles

>     Document the location of the new vcproj file, and exclude it from the
>     extraneous files test.

> [doc/Develop.htm toolbin/tests/check_dirs.py]

2010-02-03T22:29:34.129817Z Ralph Giles

>     Bump the copyright date for the windows metadata.

> [psi/dwsetup.rc psi/winint.mak]

2010-02-02T22:48:55.363996Z Ralph Giles

>     Update our included copy of the libpng source to 1.2.42.

> [libpng]

2010-02-02T22:45:55.167908Z Ralph Giles

>     Remove the in-tree copy of the libpng source to make way for a newer release.

> [libpng]

2010-02-02T19:30:15.986507Z Ralph Giles

>     Update jbig2dec with the 0.11 release source.

> [jbig2dec/aclocal.m4 jbig2dec/jbig2_metadata.c jbig2dec/install-sh jbig2dec/jbig2.c jbig2dec/mkinstalldirs jbig2dec/jbig2_image.c jbig2dec/configure jbig2dec/Makefile.in jbig2dec/jbig2_text.c jbig2dec/jbig2_metadata.h jbig2dec/jbig2_priv.h jbig2dec/depcomp jbig2dec/compile jbig2dec/jbig2dec.c jbig2dec/config.guess jbig2dec/jbig2_refinement.c jbig2dec/ltmain.sh jbig2dec/config.sub jbig2dec/README jbig2dec/jbig2_halftone.c jbig2dec/config.h.in jbig2dec/jbig2_segment.c jbig2dec/configure.ac jbig2dec/jbig2dec.1 jbig2dec/CHANGES jbig2dec/COPYING jbig2dec/Makefile.am jbig2dec/missing jbig2dec/jbig2_page.c]

2010-02-02T18:14:37.922390Z Hin-Tak Leung

>     Set rc.exe location according to MSSDK variable - fix build problem with windows 7 SDK - bug 691062.

> [psi/msvc32.mak]

2010-02-02T07:23:57.821537Z Alex Cherepanov

>     Re-implement optional content support to avoid dependence on proper nesting
>     of optional content and q..Q blocks. Check for the visibility flag and skip
>     most graphic operations when needed. Skip test rendering operations by
>     installing nullpage device to minimize changes in a rather complicated code.
>     Bug 691076, customers 531, 850.

> [Resource/Init/pdf_ops.ps Resource/Init/pdf_main.ps Resource/Init/pdf_draw.ps]

2010-02-01T19:41:49.001947Z Ray Johnston

>     Fix Windows UninstallString registry entry to use " " around the path and
>     uninistgs.exe so that (the usual) spaces in the path don't cause problems.
>     Thanks to Stefan Kanthak for pointing this out.

> [psi/dwinst.cpp]

2010-02-01T00:02:04.763835Z Alex Cherepanov

>     Patch font resource category for CET testing to always return the font
>     memory usage as unknown (-1) to avoid differences between hosts.
>     Bug 691057.

> [Resource/Init/gs_cet.ps]

2010-01-31T20:30:13.616671Z Alex Cherepanov

>     Use the sum of local and global VM usage for the value reported by
>     "/Font resourcestatus". This gives better estimation of memory consumption
>     and makes the result independent of the global state when the font was
>     loaded. With this patch CET case 23-33.PS shows different values for
>     "/Font resourcestatus".

> [Resource/Init/gs_res.ps]

2010-01-31T00:46:38.360004Z Alex Cherepanov

>     Add a check whether the current layer is visible to Do operator.
>     This is a first step to replace implementation that relies on installation
>     of an non-rendering output device (nullpage) with an implementation
>     that uses direct checks. Bug 691059.

> [Resource/Init/pdf_draw.ps]

2010-01-30T20:25:19.240406Z Alex Cherepanov

>     Fix 'undefined' error in 29-07C.PS CET test file that was happening because
>     .selectmedia procedure in gs_setpd.ps was building an error information
>     dictionary ('<failed>' in its comment) with many keys those doesn't exist in
>     <request> dictionary, such as /LeadinEdge or /InsertSheet.  This draws the
>     policy 0 procedure (line 544) to 'get' non-existant keys from <merged>
>     dictionary. Thanks to Masaki Ushizaka for the patch. Bug 691065.

> [Resource/Init/gs_setpd.ps]

2010-01-30T06:50:14.586165Z Alex Cherepanov

>     Preserve /F and /BS attributes of /Link annotation during PDF to PDF
>     conversion. Thanks to Ken for the patch. Bug 691092, customer 1.

> [Resource/Init/pdf_main.ps]

2010-01-29T21:40:45.586239Z regression

>     Added highres option to clusterpush.pl (opposite of lowres).

> [toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl]

2010-01-28T21:43:37.243405Z Marcos H. Woehrmann

>     Fixed typo in clusterpush.pl.

> [toolbin/localcluster/clusterpush.pl]

2010-01-28T19:34:19.913293Z regression

>     Added a new option to clusterpush.pl: lowres.  This option can appear
>     anywhere on the comand line and signals the local cluster regression to
>     only run lowres (72 and 75 dpi) output, for example:

>       clusterpush.pl pcl lowres

>     or

>       clusterpush.pl lowres "gs pcl" henrys

>     Note that this will fail if we ever hire an engineer with the name lowres
>     or use that as an internal product name.  Also, there currently aren't
>     any 75 dpi baseline md5sums for the pcl product, so until the next pcl
>     svn commit it doens't make sense to run with this option.

>     Also added partial support for generating bitmaps with changes and running them through bmpcmp.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl]

2010-01-28T15:18:36.842224Z Robin Watts

>     Squash a warning about %d and size_t spotted by Marcos. Thanks.

> [toolbin/bmpcmp.c]

2010-01-28T15:13:05.688649Z Robin Watts

>     Fix free of incorrect pointer in bmpcmp.
>     Also tweak pnm reading so that no seeks are used, so we can use the

>       bmpcmp < (zcat foo.pnm.gz)  < (zcat bar.pnm.gz) ...

>     trick if required (bmps still seek!).

> [toolbin/bmpcmp.c]

2010-01-28T14:44:22.110825Z Ken Sharp

>     Remove accidental stupid inclusion of a C++ style comment ....

> [psi/zfapi.c]

2010-01-28T14:32:52.354649Z Ken Sharp

>     Fix (FAPI)

>     Bit complex here. The FAPI code needs to tell the font rendering engine how much to
>     scale the font in order to get properly sized bitmaps. It does this by looking at the
>     FontMatrix, comparing it with the 'original' FontMatrix and determining the scale from
>     there.

>     The problem is that the 'original' FontMatrix was being retrieved from a copy of the
>     font stored when it is defined, intended for use by pdfwrite. When we define a font we
>     check to see if it has an /OrigFont entry, and simply use the one which is present if
>     we do.

>     This causes us problems if we make a new scaled font by taking an existing font and
>     changing its FontMatrix. We don't write the new FontMatrix into the OrigFont dict, and
>     so when we come to determine the font scale we divide the FontMatrix by the 'original'
>     stored matrix. This effectively results in any scale factor built into the FotnMatrix
>     being applied twice, once by FreeType because the FontMatrix isn't the default, and
>     once by the FAPI when it divides the FotnMatrix by the original.

>     I didn't want to modify the OrigFont entry, as that would probably break pdfwrite, so
>     I've modified the FAPI code to take a copy of the FontMatrix at the time the font is
>     defined and store it in its own structure. We then use this to determine how much to
>     scale the font by dividing the current FontMatrix by the matrix at the time the font
>     was defined.

>     This fixes my hand-crafter test file and improves the output of Bug687615.ps and
>     two_encodings.ps. The output is now the correct size, but the spacing is wrong in
>     bug687615.ps and many glyphs are missing from two_encodings.ps.

> [psi/fapi_ft.c psi/zfapi.c psi/ifapi.h psi/fapiufst.c]

2010-01-27T19:08:07.958712Z Robin Watts

>     Updated version of bmpcmp.c to support maxdiffs parameter. Also, bitmaps
>     are output numbered 00000, 00001, etc rather than 0, 1, etc to tidy
>     directory listings.

>     Updated htmldiff.pl file to cope with the rejigged number formats.

> [toolbin/bmpcmp.c toolbin/htmldiff.pl]

2010-01-27T14:55:55.064385Z Robin Watts

>     Introduce new gs_currentdevicecolor function (and inline macro version) to
>     retrieve the current device color from the graphics state. Use this in the
>     2 places in pl that require it. This restricts all the knowledge of the
>     way colors are stored in the graphics state to being within the gs code.

>     This is done as a precursor to the work to support 2 color's in the graphics
>     state to enable a branch to be taken on gs only.

>     Regression tests predict 128 changes, but local testing with htmldiff.pl shows
>     none.

> [base/gscolor2.c base/gscolor2.h /trunk/ghostpdl/pl/plchar.c /trunk/ghostpdl/pl/pldraw.c base/gzstate.h]

2010-01-26T01:15:46.612807Z Michael Vrhel

>     Fix for memory leak reported in bug 690754.  The memory leak occurred when processing xps transparency files.  The softmask group buffer was not being deallocated properly.  We now properly deallocate an old soft mask buffer that will no longer be used when new one is coming in to replace it.  There should not be any rendering differences with this commit.

> [base/gdevp14.c]

2010-01-24T17:27:38.965229Z Robin Watts

>     Fix problems with htmldiff.pl introduced when introducing iframes mode.
>     (Javascript wasn't working, image source was incorrect).

> [toolbin/htmldiff.pl]

2010-01-24T16:20:43.098277Z Robin Watts

>     Correct some errors in htmldiff.pl. Firstly, perl doesn't have true/false,
>     so use 0/1. Secondly, move framenum increment out of if where I'd incorrectly
>     put it before, resulting in everything going into the same dir unless iframes
>     were used.

> [toolbin/htmldiff.pl]

2010-01-23T17:42:47.176361Z Robin Watts

>     Updated htmldiff; neater output structure - each files diffs go into their
>     own subdirectory. Option to use iframes to avoid regenerating the html
>     twice. Config file include now uses ENV{"HOME"} rather than ~ to work on
>     Mac OS.

> [toolbin/htmldiff.pl]

2010-01-22T17:46:02.036283Z Till Kamppeter

>     "cups" output device: Reallocate memory for raster data only if the size of the bitmap has changed, to avoid data getting messed up by unneeded reallocation. This should finally fix bug #691029.

> [cups/gdevcups.c]

2010-01-22T09:01:28.663933Z Ken Sharp

>     Fix (pswrite)

>     The pswrite device only partially implemented the 'file per page' output model. It
>     closed the output file and the bbox device, but did not open a new output file or
>     reopen the bbox device, leading to potential crashes later when the pswrite device
>     tried to access the bbox device.

>     This patch reopens the bbox device, and opens a new output file, at the end of every
>     page when we are outputting one file per page. The problem is that this will emit an
>     empty EPS after the last page is completed. Fixing this would mean delaying opening the
>     output file until we had received a marking operation. That's more work than we want
>     to do on this device, so this is being left as an issue.

> [base/gdevps.c]

2010-01-21T03:04:21.383005Z Hin-Tak Leung

>     adding the tiff directory to the list of files to zip up during a windows build. Thanks Gennadiy Tsarenkov or the report and patch. Fixes bug 691069

> [psi/winint.mak]

2010-01-20T19:07:01.585691Z Till Kamppeter

>     Fixed handling of back sides when duplex printing via the CUPS Raster output device. With PostScript as input format the y-axis of the back sides was often flipped (bug #691029).

> [cups/gdevcups.c]

2010-01-20T18:11:39.888031Z Michael Vrhel

>     This commit is a fix for bug 691021 which had quantized (unsmooth) shading artifacts when transparency was present.

>     The primary changes to the code are:

>     The adaptive (non-fixed) smoothness method is now used in the shading code when transparency is present.  Previously there was a check put in place and if there was transparency a fixed amount of smoothing was enforced.

>     The color cache used in the shading code was updated to use the color information in the transparency device that is contained in the imager state.  This object is initialized with either the target device when there is no transparency or with the PDF14 device when there is transparency.  In this way, the proper color information is used by the cache.

>     The shading code makes use of the member variables comp_shift and comp_bits in the color_info member variable of the target device.  This information is now properly updated in the PDF14 device as the transparency group color space changes.

>     A clist change was also required for proper XPS rendering of gradients.  When it has a gradient with a transparency component, the XPS code first creates a soft mask group and draws the alpha shading.  It then creates a transparency group to draw the color components portion of the shading.  When the transparency group is popped, is is composed using the soft mask buffer which is the XPS opacity shading.  When we are going through the clist writer, the writer will end up drawing the shadings for both the opacity component and the color component with trapezoid fills.  Later, during the clist reading and execution of the trapezoid filling, a clipping device is created.  This device is created with the color info properties of the target device, which in our case is a PDF14 device.  The clipping device is first created during the soft mask group.  This group has color information associated with a grey device since it is just a single channel (the XPS alpha channel).  Later, the same clipping device is used when we are doing the trapezoid filling during the transparency group fills.  The problem is that the color information of the target device may have changed, for example if the transparency color group is RGB or CMYK.  We need to test for that and update the color info for the clipping device.

>     There are several regression test files that are affected by this commit.  I looked at all of them. Changes appear to be progressions or visually unnoticeable.  Files are

>     Bug688807.pdf
>     Bug689918.pdf
>     Bug690115.pdf
>     Bug690206.pdf
>     Bug690535.pdf
>     Bug690709.pdf
>     CATX1101.pdf
>     CATX4135.pdf
>     CATX5233.pdf
>     CATX6508.pdf
>     CATX9004.pdf
>     IA3Z0302.pdf
>     IA3Z0303.pdf
>     as well as most of the fts_##xx.xps tests.

> [base/gscicach.h base/gxshade6.c base/gdevp14.c base/gdevp14.h base/gxshade.c base/gscicach.c base/gxclrast.c base/gxshade.h]

2010-01-19T21:38:16.998845Z Hin-Tak Leung

>     adding comment about possible future rewrite with XGetPixel() ; no code change

> [base/gdevx.c]

2010-01-19T15:48:57.559895Z Robin Watts

>     Attempt to fix bug 691030, regression with thin lines. This regression was
>     caused by revision 10391, where I pulled the rectangle special cases into
>     line with the more general case. Sadly, the more general case appears to be
>     wrong in the way it rounds lines lying on integer values.

>     The fix is to correct the rounding in the general case, and to keep the
>     rectangle special cases in line with this. Unfortunately this produces
>     unacceptable results with the PCL interpreter.

>     We therefore commit a compromise solution, whereby we make the code do the
>     'correct' thing (or what we believe the correct thing is) for postscript,
>     and leave operation alone for the other languages. We spot this by examining
>     the fill_adjust values. This seems to works, with the minor problem that we
>     still see some changes in PCL due to it sometimes using non-zero fill_adjust
>     to thicken lines. A visual check shows the diffs to be reasonable.

>     Expected Differences: MANY. But extensively checked with htmldiff and they
>     seem OK.

> [base/gxdevcli.h base/gdevtxtw.c base/gdevtrac.c base/gdevbbox.c base/gdevmem.c base/gdevnfwd.c base/gdevddrw.c base/gxstroke.c]

2010-01-19T11:18:24.072283Z Robin Watts

>     Move ghostscript.vcproj from win32 to gs directory, and adjust solution file
>     accordingly. This serves 2 purposes; firstly, the solution now correctly
>     supports tag jumping (that is, the ability to click on a warning or error
>     and jump to that line in the file). The second is that the ghostscript
>     project now lives in the ghostscript directory, and hence may be usable by
>     people wanting to build *just* ghostscript, rather than ghostscript as a
>     component of GhostPDL.

>     Update ReadMe.txt to reflect this change, and document a known problem.

>     No expected differences.

> [/trunk/ghostpdl/win32/ghostscript.vcproj /trunk/ghostpdl/win32/ReadMe.txt ghostscript.vcproj /trunk/ghostpdl/win32/GhostPDL.sln]

2010-01-18T11:28:29.454584Z Ken Sharp

>     Addendum to revision 10615. Use the *y* scale factor for computing the vertical character
>     advance, not the x scale which the previous commit used. Also note that the text of the
>     previous log said:

>     "as a parameter to zchar_set_cache to set the horizontal advance"

>     That should, of course, read vertical advance.

> [psi/zfapi.c]

2010-01-18T11:16:55.954810Z Ken Sharp

>     Fix (FAPI - FreeType). The current FAPI implementation for FreeType ignores any vertical
>     advance defined in a glyph. This causes type 1 glyphs defined with an sbw (not hsbw)
>     which have a vertical advance as well as, or instead of, a horizontal advance to not
>     advance the current point correctly.

>     There is a separate issue with FreeType which does not return the correct vertical
>     advance which will be addressed in a separate patch.

>     This patch adds the vertical advance to the metrics structure and uses it as a
>     parameter to zchar_set_cache to set the horizontal advance in GS for the glyph.

> [psi/fapi_ft.c psi/zfapi.c psi/ifapi.h]

2010-01-18T08:41:20.191771Z Ken Sharp

>     Fix (FAPI). The code to 'serialise' a CFF font (that is to convert the internal GS
>     representation back to a stream resembling a disk font) was seriously broken when writing
>     a local Subrs DICT.

>     The offset to the Subrs DICT is stored in the Private DICT as an offset from the
>     start of  the Private DICT. This means it depends on the length of the Private DICT,
>     but the Private DICT includes that offset, so the length of the Private DICT is
>     dependent on the size of the offset (CFF integers use between 1 & 5 bytes depending
>     on their value).

>     The normal method for dealing with this is a process of refinement; assume that a 1 byte
>     representation will suffice, calculate the size of the DICT, see if that size can be
>     represented in 1 byte. If not assume a 2 byte representation, recalculate the size
>     of the DICT, see if it can be represented in 2 bytes and so on.

>     It looks like the code was intended to do this, but it was in fact seriously broken
>     and ended up incrementing an integer for size of DICT until it became negative, and
>     then stored a negative (and incorrect) offset to the Subrs.

>     Replaced the code with a simple for loop surrounding a switch.

> [psi/write_t2.c]

2010-01-14T16:38:45.881264Z Ken Sharp

>     Fix the syntax error accidentally committed in revision 10608 which prevented
>     Ghostscript from building.

> [base/gdevpdtw.c]

2010-01-14T16:25:03.707208Z Ken Sharp

>     Fix (pdfwrite) Bug #691058 "Incorrect embedding of CIDToGIDMap for CIDFontType 2".

>     Previously we would embed a CIDToGIDMap for a CIDFontType 2 font (TrueType outlines) if
>     the font had a non-identity CIDToGIDMap, or if we were producing PDF/A output.

>     However the spec (PDF 1.7, Section 5.6, "Glyph Selection in CIDFonts') says that we
>     should *always* embed a CIDToGIDMap if the font is embedded, and never if the font is
>     not.

>     This patch modified the CIDToGIDMap production so that we ignore the production of PDF/A
>     files, and instead check whether the font is being embedded. If it is being embedded
>     then we create a CIDToGIDMap, if it is not, then we don't.

> [base/gdevpdtw.c]

2010-01-14T02:24:19.739891Z Masaki Ushizaka

>     Fix two warnings introduced in rev. 10603.  Signed/unsigned incompatibility.

> [base/gschar0.c]

2010-01-13T21:04:09.482842Z regression

>     General cleanup and minor improvements of the local cluster code:
>       changed timeout values
>       keep logs of machine status messages
>       change previous md5sum cache size
>       better differentiate pdfwrite vs bitmap output errors

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/readlog.pl toolbin/localcluster/build.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2010-01-12T21:42:28.034208Z Robin Watts

>     Fix overallocation in bmpcmp.c that was causing out of memory errors.

> [toolbin/bmpcmp.c]

2010-01-12T20:22:32.464302Z Robin Watts

>     Updated bmpcmp.c and htmldiff.pl. bmpcmp.c now outputs metadata about each set
>     of difference bitmaps (which page, bbox etc). htmldiff.pl now reads that
>     metadata and outputs that into the file. Some javascript hackery is used to
>     display the device coords of the point under the mouse pointer.

>     Finally, if the $parallel option is set, htmldiff will fork jobs in parallel
>     to try to make better use of multicore machines.

> [toolbin/bmpcmp.c toolbin/htmldiff.pl]

2010-01-12T09:49:58.118243Z Masaki Ushizaka

>     Fix for bug #690834 & #687832

>     Bug #690834: text garbled in PS viewer; PDF works
>      - Fixed to concatenate CIDFont FDArray font's FontMatrix when running under 'cshow' or 'glyphshow'.
>      - Fixed to use correct FDArray font when concatenate its FontMatrix.
>      - Changed the meaning of 'fstack.items[n].index' to keep track of FDArray font and FontMatrix.
>      - Reverted the rev. 5613 which was a fix for bug #687832.
>     Bug #687832: (PDF interpreter) : CID Font in PDF
>      - Fixed the interpretaion of W/W2/DW/DW2 value from glyph space (wrong) to 1000th of text space (correct).

>     Applying this patch makes some one dot differences on text in 19 files of LocalCluster test. (List is in Bugzilla #687832 comment #9).

> [base/gxchar.c Resource/Init/pdf_font.ps base/gdevpdtc.c base/gschar0.c base/gxtext.h]

2010-01-11T12:08:26.301794Z Ken Sharp

>     Bug #691044 ""

>     Another problem caused by a corrupt compressed data stream, resulting in garbage data
>     being sent to the TrueType interpreter.

>     Caused when the TT interpreter is given an argument of 0 to the MINDEX operator. Rather
>     than flag this as an error I've chosen to simply return. This is because it seems that
>     a value of 0 is actually legal (stupid, but legal), and simply leaves the stack
>     unchanged.

> [base/ttinterp.c]

2010-01-10T15:51:48.168326Z Alex Cherepanov

>     Don't use operator 'execute' because it resets the /command attribute
>     in $error dictionary. Use '.execute pop' instead. Keep 'execute' as an
>     operator for backward compatibility. Thanks to dakka.akka@gmail.com
>     for analysis of the bug. Bug 691050.

> [toolbin/smoke.ps Resource/Init/gs_init.ps]

2010-01-09T23:59:33.690907Z Robin Watts

>     Updated version of bmpcmp. Now loads bmp, pgm, pbm, ppm files. Diffs are
>     always written as bmps though.

>     No expected differences.

> [toolbin/bmpcmp.c]

2010-01-09T16:01:24.458674Z Ken Sharp

>     Fix a Coverity warning. We were potentially passing a NULL pointer to a routine which
>     would unconditionally dereference it. Fixed by taking no action if the pointer is NULL.

> [base/gsgdata.c]

2010-01-08T01:17:24.694675Z Ray Johnston

>     Add documentation on the limitations of -sstdout=_____ where users expected
>     _all_ stdout I/O to be redirected, not just PS writing to stdout. Bug 691037.

> [doc/Use.htm]

2010-01-07T10:53:36.539549Z Robin Watts

>     Changes to the MSVC makefiles to prepare for the prototype vs2005 solution
>     file. Firstly, we introduce an SBR symbol; if this is set when invoking the
>     makefile, we add a new flag to the C compiler (held in SBRFLAGS) to cause
>     the generation of the browse data for each source file. Next, we introduce a
>     new bsc build target to combine those .sbr files into appropriate .bsc ones.
>     The final change is enable debug builds to put their builds into debugobj
>     rather than obj directories.

>     With luck, this should cause no differences for anyone other than me.

> [/trunk/ghostpdl/common/msvc_top.mak /trunk/ghostpdl/language_switch/pspcl6_msvc.mak /trunk/ghostpdl/svg/svg_msvc.mak base/msvccmd.mak /trunk/ghostpdl/xps/xps_msvc.mak psi/msvc32.mak base/msvclib.mak /trunk/ghostpdl/main/pcl6_msvc.mak]

2010-01-07T10:31:53.862753Z Ken Sharp

>     Update the example file. The old file used a single 'charpath pathbbox' to determine the
>     height of the text. It then used the 'scale' operator to draw larger text.

>     If the path was fixed to pixel boundaries, and the point size was low (default 15
>     points) this could lead to a small error which was magnified by the cumulative scale
>     operations.

>     This led to significant differences when using the FreeType font code, as it seems to
>     return a hinted path which is bounded by pixel co-ordinates, unlike the regular GS
>     code.

>     The altered code scales the font and recalculates the height of the text each time
>     giving more accurate results. In addition a minimum size has been introduced (50 points)
>     for the calculation of the text height. Together these result in much closer output.

> [examples/alphabet.ps]

2010-01-06T11:19:01.103028Z Ken Sharp

>     Fix bug #691043 "Vulnerability report : Ghostscript gs_type2_interpret null ptr
>     dereference (Segmentation Fault)". The problem appears to be caused by a corrupt
>     compressed data stream which results in garbage font data being sent to the type 2 and
>     under some conditions the type 1, font interpreters.

>     As noted these font interpreters are normally coded to be intolerant of faults, and
>     do not normally perform much error checking. As a result badly formed (or as in this
>     case, garbage) fonts can cause serious problems.

>     Although the null dereference is the cause of the error, this is actually caused by
>     interpreting the data as a font, and decrementing the font instruction pointer below
>     the bottom of the instruction stack.

>     The patch here adopts the suggestion from the original bug reporter of checking the
>     pointer before the dereference, but in addition adds some checking when the
>     instruction pointer is decremented to see that it does not descend past the bottom of
>     the stack. This is because tests showed that it was possible to reach this point with
>     a non-NULL pointer, which was still invalid and caused a segmentation violation.

>     In addition the free_glyph routine has been modified to check the pgd (pointer to
>     glyph data) parameter is non-NULL, and that its 'procs' member is non-NULL, before
>     attempting to call the free procedure. This fault was exposed by selecting the pdfwrite
>     device.

>     Although improved this is not a comprehensive fix, there are other locations where the
>     font instruction pointer may be incremented past the top, or decremented past the
>     bottom, of the instruction stack. However the FreeType font interpreter correctly
>     detects the problems without causing a crash, so I don't think we should expend too
>     much effort on rewriting our current font code to cope.

> [base/gsgdata.c base/gstype1.c base/gstype2.c base/gxtype1.c]

2010-01-05T15:57:58.786575Z Ken Sharp

>     Revert code introduced in revision 10578. This code is no longer required since the
>     test in the FreeType code, which this code evaded, is no longer present when built
>     using the incremental interface.

> [psi/fapi_ft.c]

2010-01-05T00:52:07.186738Z Alex Cherepanov

>     Remove duplicate call to errwrite() introduced by the rev. 10568.
>     Thanks to Henry for spotting this.

> [base/gsmisc.c]

2010-01-04T15:09:22.066340Z Ken Sharp

>     Add a comment to explain the arbitrary choice of value for num_glyphs in revision 10578.

> [psi/fapi_ft.c]

2010-01-04T09:27:21.029560Z Ken Sharp

>     FreeType interface fix. When using the incremental interface to FreeType (which in fact
>     we always use), Ghostscript is responsible for locating and passing the glyph
>     description data to FreeType, and so we don't bother to track certain kinds of data
>     in the FreeType structure.

>     However, even when using the incremental interface, FT still tests some of this data, in
>     particular it tests the requested glyph index against the reported number of glyphs
>     in the font, and aborts if the index is too large.

>     This patch simply sets the num_glyphs member of the FT_face structure to a large number
>     (65534) so that the internal FreeType test is successful, and we don't have to bother
>     with the record-keeping that would be required to keep this member updated when fonts
>     change.

> [psi/fapi_ft.c]

2010-01-03T01:07:12.832443Z Alex Cherepanov

>     Fix error recovery code that messed up operand stack trying to break out
>     of post table processing when the offset to the glyph name is beyond the
>     table length. Bug 690837.

> [Resource/Init/gs_ttf.ps]

2010-01-02T18:48:40.508429Z Alex Cherepanov

>     Remove description of -dIgnoreTTEncoding flag from the documentation.

> [doc/Use.htm]

2010-01-02T18:45:15.635704Z Alex Cherepanov

>     Implement symbolic glyph mapping as described in PDF 1.7. Use it for TrueType
>     fonts with symbolic flag set or having no encoding entry.
>     The flag -dIgnoreTTEncoding is removed because symbolic fonts always do this
>     now and non-symbolic fonts should never ignore encoding.
>     Bug 691035, customer 220.

>     The new spec includes cmap 3,0 in the supported list. We discovered this
>     before but didn't use cmap 3,0 as a first choice. PDF 1.7 is not clear about
>     the choice between symbolic and non-symbolic branches. Current algorithm
>     is based on a few experiments with AR 8.

>     The patch causes rendering differences in comparefiles/keyboard.pdf
>     A few undefined characters change from boxes to empty space.
>     Current rendering of undefined characters in Ghostscript doesn't match
>     Adobe Acrobat and should be revised.

> [Resource/Init/pdf_font.ps Resource/Init/gs_ttf.ps]

2009-12-30T17:30:30.315764Z Alex Cherepanov

>     Remove C++ comments (//) and commented out code because this is not compatible
>     with old compilers and breaks our coding standard. Comments were introduced
>     by rev. 9664 and 9778. Bug 691032.

> [contrib/gdevcd8.c psi/iscannum.c]

2009-12-30T15:06:40.609490Z Alex Cherepanov

>     Add a check whether the entry in post table of TrueType font crosses
>     the end of the table. Fill the rest of the table with /.notdef and
>     continue. Bug 691031.

> [Resource/Init/gs_ttf.ps]

2009-12-29T22:18:01.420560Z Alex Cherepanov

>     Use safer function vsnprintf() instead of vsprintf() for error reporting.
>     Truncate long messages, issue a warning, and continue. Bug 690829.

> [base/lib.mak base/gsmisc.c base/stdio_.h]

2009-12-29T01:17:48.171480Z Alex Cherepanov

>     Remove stage 2 from seticcspace() and a corresponding PS procedure because
>     it's no longer needed. Since rev. 10563 the string data source is converted
>     to reusable stream without a call-out. Bug 690828.

> [psi/zcolor.c Resource/Init/gs_cspace.ps]

2009-12-28T07:03:59.416178Z Alex Cherepanov (details)

>     Don't use long and buggy call-out process to convert a string to a
>     reusable stream. Do it in 3 lines of C code. Bug 690828.

> [psi/zcolor.c psi/zfrsd.c psi/zfrsd.h psi/int.mak]

2009-12-27T15:58:42.012990Z Alex Cherepanov

>     Assume /FirstChar is 0 and /LastChar is 255 when they are not defined, and
>     issue a warning. Bug 691022.

> [Resource/Init/pdf_font.ps]

2009-12-27T15:35:32.126971Z Alex Cherepanov

>     Consider fonts without font stream and with wrong or missing /Subtype
>     attribute as Type 1 fonts. Bug 691023.

> [Resource/Init/pdf_font.ps]

2009-12-26T22:21:45.513158Z Alex Cherepanov

>     Fix a compile error on UN*X platforms introduced by the previous commit
>     (rev. 10558).

> [base/gp_psync.c]

2009-12-26T20:05:44.539107Z Alex Cherepanov

>     Fix a Coverity warning about checking after dereferencing.
>     In this case dereferencing means &((foo *)0)->bar, which is harmless.

> [base/gp_psync.c]

2009-12-26T18:32:35.542626Z Alex Cherepanov

>     Move checking gstate for 0 immediately after allocation. Fix a Coverity
>     warning about checking after dereferencing.

> [base/gsstate.c]

2009-12-26T18:22:04.265168Z Alex Cherepanov

>     Don't dereference a pointer before checking it for NULL. Fix a Coverity
>     warning about checking after dereferencing.

> [base/gxdhtserial.c]

2009-12-26T01:35:11.234623Z Alex Cherepanov

>     Include stdlib.h for a prototype for abs().

> [base/gdevpdtt.c]

2009-12-26T01:13:12.801372Z Alex Cherepanov

>     Fix a case where a pointer is first dereferenced and then checked for 0.

> [base/ttobjs.c]

2009-12-26T00:48:30.642019Z Alex Cherepanov

>     Clear Coverity warnings about unreachable code. Fix incorrect error
>     processing in some contributed drivers. Also remove a spurious *.orig file.

> [contrib/lips4/gdevl4v.c.orig contrib/lips4/gdevl4v.c contrib/eplaser/gdevescv.c contrib/lips4/gdevl4r.c]

2009-12-24T00:33:05.486056Z Ray Johnston

>     Fix detection for nearing/passing command list buffer limit to allow for
>     the condition when the pointer is past the limit (which is NOT the end
>     of the buffer, but is only a warning). Change this variable name to
>     'warn_limit' to avoid confusion with the 'limit' used in most other
>     buffer management areas, such as streams. Bug 691016.

> [base/gxclrast.c]

2009-12-23T21:12:34.206998Z Robin Watts

>     Add new assert_.h header file. Convert existing code to use it.

> [contrib/gdevcd8.c /trunk/ghostpdl/pl/pldebug.h base/assert_.h contrib/pcl3/eprn/mediasize.c contrib/lips4/gdevlprn.h contrib/pcl3/eprn/eprnrend.c]

2009-12-22T23:32:30.888745Z regression

>     Remove -dNOOUTERSAVE and related commands from command line and optionally
>     read in list of fast to process files (so that long commands can be
>     processed first).

> [toolbin/localcluster/build.pl]

2009-12-21T16:03:38.968428Z Ken Sharp

>     Fix (pdfwrite) Bug #691009 "Regression: 14-01.PS fails with pdfwrite". revision 10297,
>     a fix for pdfwrite involving composite fonts with type 3 descendants, did not check a
>     return value. This could cause a segment fault later, if a type 0 font was invalid.

>     The Genoa file 14-01.ps specifically runs tests with invalid type 0 fonts to check the
>     behaviour under error conditions and appears to be the only test file we have which
>     does this.

> [base/gdevpdtt.c]

2009-12-21T07:20:23.809940Z Ralph Giles

>     Revert c10520 which causes problems with the MSVC build.

>     $(CC_) enforces 'ansi' C under msvc32.mak, disabling any Microsoft
>     extensions. This often causes problems with 3rd party libraries
>     which try to take advantage of those extensions.

>     This means that the -fPIC flag is again not propagated in the GCC
>     build; this is just to unbreak the build until I can test a different
>     solution which works on both platforms.

> [base/libtiff.mak]

2009-12-20T19:54:00.274659Z Alex Cherepanov

>     Fix a Coverity warning: comparing array against NULL is not useful.

> [base/gxclthrd.c]

2009-12-20T19:43:10.432199Z Alex Cherepanov

>     Fix a Coverity warning about an expression with undefined order of evaluation.

> [contrib/gdevbjca.c]

2009-12-20T18:54:08.195262Z Alex Cherepanov

>     Fix a Coverity warning about an expression with undefined order of evaluation.

> [contrib/pcl3/eprn/eprnrend.c]

2009-12-20T14:24:39.934442Z Alex Cherepanov

>     Fix Coverity warnings about unchecked return code.

> [base/gxchar.c]

2009-12-20T06:52:50.539169Z Alex Cherepanov

>     Fix Coverity warnings about unchecked return code.

> [base/gsptype1.c]

2009-12-19T17:14:09.025653Z regression

>     Minor improvements:

>     skip.lst is now processed by compare.pl instead of build.pl, so tests
>     to be skipped will be run, just not reported.

>     Store the archive count in the md5sum.archive so the report email will
>     be accurate.

>     Treat indeterminate errors (mostly timeouts) the same as indeterminate
>     md5sums (i.e. report them below the fold).

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/cachearchive.pl toolbin/localcluster/compare.pl]

2009-12-19T01:16:49.970378Z Alex Cherepanov

>     Fix an array overrun in zsethalftone5() caused by an unchecked error code
>     when the number of colorants exceeds the current implementation limit;
>     throw a /limitcheck error instead. Also fix an unrelated Coverity warning
>     about unchecked return value from dict_int_param(). Bug 691001.

> [psi/zht2.c]

2009-12-18T22:24:19.154314Z Ralph Giles

>     Update some obsolete gs_throw() calls. Bug 691010.

>     This code seemed to be using an early version of the gs_throw() error
>     reporting macros, passing an undefined -997 error code, a redundant
>     __func__ error message, and expecting the macro to break flow control.

>     This commit updates it to the modern version's behaviour.

> [base/gdevdbit.c]

2009-12-18T21:14:17.100541Z Ralph Giles

>     Add a missing header to ensure delaration and definition match
>     for mem_mono_strip_copy_rop(). Fixes a warning in the gcc build.

> [base/lib.mak base/gdevmr1.c]

2009-12-18T18:32:46.014514Z Ralph Giles

>     Add .libs and autom4te.cache to the exclude list for clusterpush.

>     Builds which generate .deps directories also generally create the
>     other two. The autom4te.cache files aren't necessarily large but
>     aren't appropriate to copy to another system since they represent
>     details of the local build environment.

> [toolbin/localcluster/clusterpush.pl]

2009-12-18T16:24:12.002354Z Marcos H. Woehrmann

>     Added .deps to the exclude list for clusterpush.pl.

> [toolbin/localcluster/clusterpush.pl]

2009-12-18T07:04:10.684226Z Ralph Giles

>     Add graphics library support for raster operations and extended halftone
>     methods to the default gcc build.

>     This allows ghostpcl to build linked against the default 'so' build of
>     the gs library. On my Linux x86_64 this increases the size of the library
>     by 29K. While significant, I prefer this to the maintenance burden of
>     the two different configurations.

> [base/Makefile.in]

2009-12-18T06:37:02.606724Z Ralph Giles

>     Derive the libtiff compiler line from $(CC_) instead of $(CC) so
>     the common flag set is propagated.

>     Without this, additional options, like XCFLAGS=-fPIC aren't used when
>     compiling the libtiff source files.

> [base/libtiff.mak]

2009-12-18T05:23:14.353404Z Henry Stiles

>     Export the the type 42 component parser procedure for pcl, no expected
>     differences.

> [base/gxfont42.h base/gstype42.c]

2009-12-18T01:38:29.130442Z Ralph Giles

>     And the 'nogc' allocator to the default gcc build.

>     This allows ghostxps to build linked against the default 'so' build of
>     the gs library, simplifying some build options. The code size increase
>     is negligible.

> [base/Makefile.in]

2009-12-17T20:14:08.344945Z Robin Watts (details)

>     Fix for bug 690620. Original patch from HenryS. This adjusts rectangular
>     fills to more closely match that used by Acrobat v8.

> [base/gsdps1.c]

2009-12-17T18:13:48.602966Z regression

>     Cache the previous revisions crc values to improve compare.pl performance.

>     Also remove the no longer needed splitjobs.pl from the repository.

> [toolbin/localcluster/splitjobs.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/cachearchive.pl toolbin/localcluster/compare.pl]

2009-12-17T17:57:14.753910Z Robin Watts (details)

>     Update the arguments passed to ghostscript by htmldiff.pl so that they
>     more closely match those used by the localcluster.

> [toolbin/htmldiff.pl]

2009-12-17T15:24:07.353413Z regression (details)

>     Minor cleanup/improvement of local cluster code.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2009-12-16T18:46:20.783419Z Robin Watts (details)

>     Fix for incorrect bbox test in bmpcmp.

>     bmpcmp would correctly assess the changed region, but then incorrectly accept
>     changes restricted to a single row or column as not being changes at all.

> [toolbin/bmpcmp.c]

2009-12-16T18:33:40.102435Z Robin Watts

>     Broken fix for incorrect bbox test in bmpcmp; please ignore this revision
>     and use 10507 instead.

>     bmpcmp would correctly assess the changed region, but then incorrectly accept
>     changes restricted to a single row or column as not being changes at all.

> [toolbin/bmpcmp.c]

2009-12-16T17:40:49.399642Z Robin Watts

>     Improved version of htmldiff.pl: New HTML file started every 100 or so sets
>     of image differences (configurable). This should stop browsers grinding to a
>     halt. Improved reporting of conversion errors.

> [toolbin/htmldiff.pl]

2009-12-15T22:14:58.866880Z Alex Cherepanov

>     Increase the limit on the number of color components to 12. A file with
>     9 components has been found in the wild, add 3 more for a small reserve.
>     Bug 691002.

> [base/gsccolor.h]

2009-12-15T14:34:56.554574Z Alex Cherepanov

>     Fix a botched use of references where a pointer to a reference in a
>     PostScript VM was used as a temporary variable. Bug 690828.

> [psi/zcolor.c]

2009-12-15T09:55:23.729025Z Ken Sharp (details)

>     Fix (FAPI) : Silence a compiler warning

> [psi/zfapi.c]

2009-12-13T01:31:59.081596Z Alex Cherepanov

>     Accept ASCII85 stream that ends with bare '~' in PDF files for compatibility
>     with Acrobat Reader. Add /PDFRules ASCII85Decode filter parameter to select
>     between PS and PDF logic. Bug 690976, customer 870.

> [base/sa85d.h Resource/Init/pdf_base.ps base/sa85d.c psi/zfdecode.c]

2009-12-12T23:05:18.157328Z Ray Johnston (details)

>     Fix RasterOp texture rendering from uninitialized memory (past end of buffer)
>     when the texture was 'expanded' and the unexpanded texture had repitions in y.
>     Bug 690299.

> [base/gdevdrop.c]

2009-12-12T22:39:17.759602Z regression

>     Added abort option to clusterpush.pl (i.e. 'clusterpush.pl abort') to
>     abort current job and remove any jobs queued for a user (it is possible
>     to abort/remove jobs for other users, but I'll leave that undocumented).

>     Also partially added support for mupdf regression testing.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl]

2009-12-12T18:25:25.212987Z regression

>     Added --max-size=2500000 to avoid sending very large files.

>     Divide queueing and syncing into two steps, so that it's possible
>     to ^C if you decide the files being transmistted are incorrect.

> [toolbin/localcluster/clusterpush.pl]

2009-12-12T03:46:55.487466Z Hin-Tak Leung

>     Coverity warning #4475, uninitialized value

> [base/gdevpxut.c]

2009-12-12T03:45:55.759446Z Hin-Tak Leung

>     Coverty warning #1158, unchecked return values

> [base/gdevpx.c]

2009-12-12T03:45:13.363455Z Hin-Tak Leung

>     Coverity warning #2555, removing unused header

> [base/gdevpx.c]

2009-12-12T03:43:49.383201Z Hin-Tak Leung

>     treat depth 15 the same as depth 16 in get_bits_rectangle()

>     It looks to be 'just work' (or no worse than depth 16) by treating depth
>     15 the same as depth 16 in get_bits_rectangle. The pcl files in the original report
>     works now; but a pxl file shows some visual artifects (and different one) at depth
>     15, 16 and will be filed separately.

>     This fix fix bug 690328 (make X11 device continue for those pcl files; caveate
>     visual artefacts for at least one pxl file)

> [base/gdevx.c doc/Devices.htm]

2009-12-12T00:28:26.868635Z Ray Johnston (details)

>     Fix hang condition due to pointer comparison, bug 690638.

> [base/gxclrast.c]

2009-12-11T19:18:57.300388Z Alex Cherepanov

>     Fix incorrect calculation of the operand stack base (pdfemptycount) in PDF
>     interpreter, which caused incorrect processing of scn operator. Bug 690977.

> [Resource/Init/pdf_draw.ps]

2009-12-10T03:29:32.317033Z regression

>     Removed bitrgb and pgmraw from pcl regression tests.

>     Fixed a bug where failed compiles would cause a job restart loop.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/run.pl]

2009-12-09T17:24:34.115310Z Ken Sharp (details)

>     Fix (pdfwrite) : regressions with revision 10474

> [base/gdevpdtt.c]

2009-12-09T15:32:27.320916Z Ken Sharp (details)

>     Fix (pdfwrite) : Unchecked return value causing indeterminisms

> [base/gdevpdtt.c]

2009-12-08T16:09:01.319365Z Ken Sharp (details)

>     Fix (FAPI) : Handle Type 42 fonts with CharStrings dictionaries with real PS glyphs

> [psi/zfapi.c]

2009-12-08T07:52:26.208006Z Ralph Giles

>     Revert remaining changes to the clusterpush script inadvertently
>     included in r10461. This version is now identical with the version
>     in r10435. In particular, the more sophisticated gs/ghostpdl detection
>     which works for branches and custom-named directories is restored.

> [toolbin/localcluster/clusterpush.pl]

2009-12-08T07:41:12.811962Z Ralph Giles

>     Update local cluster documentation to reference the 'regression' account
>     instead of 'marcos' and other minor cleanup.

> [toolbin/localcluster/setupcluster toolbin/localcluster/clusterpush.pl toolbin/localcluster/readme toolbin/localcluster/clusterpush.txt]

2009-12-08T07:25:03.670058Z Ralph Giles

>     Use the new 'regression' username in the clusterpush script.

>     This corrects what looks like an inadvertent commit of an older version
>     in r10461.

> [toolbin/localcluster/clusterpush.pl]

2009-12-08T06:31:51.930815Z Alex Cherepanov

>     Fix a Coverity warning. Don't assign a value to a variable if it isn't used.

> [psi/imainarg.c]

2009-12-08T03:33:05.781180Z Alex Cherepanov

>     Fix Coverity warnings caused by a recurring error in opvp driver where
>     'if (i > sizeof(foo)/sizeof(*foo)) ...' was used to prevent out-of-bounds
>     access to foo[i] .

> [contrib/opvp/gdevopvp.c]

2009-12-08T03:32:18.888688Z regression (details)

>     Improve the node failure job reallocation logic.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2009-12-08T00:42:59.473070Z Alex Cherepanov

>     Fix a Coverity warning. Avoid a FILE pointer leak in an unlikely
>     case when gs_main_init2() fails.

> [psi/imainarg.c]

2009-12-07T15:49:53.218004Z Ken Sharp (details)

>     Fix (FAPI) : Ignore some TrueType faults

> [psi/fapi_ft.c]

2009-12-07T05:46:36.982240Z Alex Cherepanov

>     Fix a Coverity warning. Add missing assignment to 'code' variable. The later
>     use of 'code' in the conditional expression indicates that this was the
>     author's intention.

> [base/gsfont.c]

2009-12-06T19:12:08.897785Z Alex Cherepanov

>     Fix a Coverity warning. Add missing assignment to 'code' variable. The later
>     use of 'code' in the conditional expression indicates that this was the
>     author's intention.

> [base/gxttfb.c]

2009-12-06T14:55:58.088044Z Alex Cherepanov

>     Fix a Coverity warning. Check the return code from sget_variable_uint()
>     in image4 serialization.

> [base/gximage4.c]

2009-12-06T02:21:36.356914Z Alex Cherepanov

>     Fix a Coverity warning and improve readability. Don't define a local variable
>     with the same name as a function argument.

> [psi/ziodevsc.c]

2009-12-06T00:56:38.018707Z Alex Cherepanov

>     Fix a Coverity warning and improve portability. Don't access sequential
>     members of a structure as an array.

> [psi/zht1.c]

2009-12-05T23:10:32.160743Z Alex Cherepanov

>     Fix a Coverity warning. Change the logic in obj_cvs() to handle all possible
>     combinations and avoid a potential SEGV.

> [psi/iutil.c]

2009-12-05T19:21:42.203093Z Alex Cherepanov

>     Fix a Coverity warning and a potential SEGV caused by a wrong pointer
>     checked for NULL after memory allocation.

> [psi/zfcid1.c]

2009-12-05T17:27:01.175245Z Alex Cherepanov

>     Fix a Coverity warning. Remove dead and commented out code that didn't
>     change since April 2000, rev 324.

> [psi/zfcmap.c]

2009-12-04T15:52:08.152428Z Ken Sharp (details)

>     Fix (FAPI) : empty glyphs causing problems after revision 10434

> [psi/zfapi.c]

2009-12-04T15:38:03.727531Z Ken Sharp (details)

>     Fix (FAPI) : TT tables > 64Kb not read properly.

> [psi/zfapi.c]

2009-12-04T03:51:10.377640Z Alex Cherepanov

>     Rearrange JP2 color space processing code to facilitate experiments with
>     enumerated color spaces.

> [Resource/Init/pdf_draw.ps]

2009-12-04T00:33:04.330450Z Robin Watts

>     Extend ghostscript graphics library with the capability to handle different
>     start, end and dash caps.

>     The existing gs_setlinecap function sets all 3 caps in lockstep, so no change
>     with current code. New functions gs_setlinestartcap, gs_setlineendcap,
>     gs_setlinedashcap set the different cap styles.

>     The dashing code now leaves segment notes in the output path to inform the
>     choice of which caps to use. The stroking code is updated to honours these
>     notes.

>     gxclpath.c and gdevvec.c assume that all caps are the same as start_cap.
>     Check that this is valid.

> [base/gsstate.c base/gxclpath.c base/gxline.h base/gxpdash.c base/gxpath.h base/gdevpdtt.c base/gsline.c base/gdevvec.c base/gdevpdfg.c base/gsline.h base/gxstroke.c base/gxclrast.c]

2009-12-03T19:21:12.315688Z Marcos H. Woehrmann

>     I missed a file that should have been part of the r10440 commit.

> [toolbin/localcluster/clusterpull.sh]

2009-12-03T19:14:12.694527Z Alex Cherepanov

>     Fix a Coverity warning by removing redindant checks. The 'pie' pointer cannot
>     be null here because it is dereferenced earlier.

> [psi/zimage.c]

2009-12-03T17:30:38.929684Z Robin Watts

>     Remove stray (incorrect) initialisation. This removes a "removing const"
>     warning.

> [base/gdevpdfe.c]

2009-12-03T16:18:00.535689Z Marcos H. Woehrmann

>     Improved cluster reliability (automatically reset stale nodes, move
>     watchdog from cron to run.pl, check for periodic transfer, etc.).

> [toolbin/localcluster/clustermonitor.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/run.pl]

2009-12-03T06:08:39.915454Z Ray Johnston

>     Add argument list and 'minst' address to -Z: debugging report to assist in tracking
>     cluster test logs (to see which, if any, jobs start but don't finish).

> [psi/imain.c psi/imainarg.c]

2009-12-03T00:02:30.276576Z Hin-Tak Leung

>     send images with Interpolate=true back to gx_default.

>     comparefiles/148-01.ps have a few Type 1 images with
>     <<Interpolate true>> are not rendered with Interpolate.

>     Since pxlcolor/pxlmono cannot do Interpolate within,
>     and has no code to do such thing, the correct solution
>     is simply detect such images and use gx_default_*. Fixes bug 690970.

> [base/gdevpx.c]

2009-12-02T19:57:05.281734Z Marcos H. Woehrmann

>     Improved logic in clusterpush.pl to detect if running from a gs or ghostpdl director.

> [toolbin/localcluster/clusterpush.pl]

2009-12-02T14:20:41.078998Z Ken Sharp (details)

>     Fix (FAPI): error in revision 10433

> [psi/zfapi.c]

2009-12-02T14:13:44.401916Z Ken Sharp (details)

>     Fix (FAPI) : FAPI code not expecting unsorted LOCA/GLYF tables

> [psi/zfapi.c]

2009-12-02T07:00:16.393155Z Ray Johnston

>     Fix vertical positioning of interpolated images that caused images to be moved
>     down, possibly past the end of the band. An extra multiplication by -1 was the
>     culprit. Bug 690885, customers 531 and 850.

> [base/gxiscale.c]

2009-12-01T19:39:06.587717Z Robin Watts

>     Fix dropouts seen with thin lines by using the method described in bug 687721,
>     namely, that of extending the trapezoids filled by a small triangular region
>     at each end.

>     Local cluster testing shows 66 changes, of which only 20 or so are real.
>     Of these, most are clearly improvements, and the rest are neutral.

> [base/gdevddrw.c]

2009-12-01T19:10:35.168567Z Ralph Giles

>     Update the clustermonitor cgi script to read the new combined queue
>     file for pending jobs.

> [toolbin/localcluster/clustermonitor.cgi]

2009-12-01T19:08:27.833775Z Ralph Giles

>     Update the clustermonitor cgi script to return regression results.

>     This makes use of the CGI module to parse an optional 'report' query
>     parameter, which if present, returns a specific regression result
>     instead of the default json dashboard status. Current it only supports
>     svn jobs, not custom runs submitted through the clusterpush script.

>     Also cleans up the the paths to use a $clusteroot variable for the
>     prefix.

> [toolbin/localcluster/clustermonitor.cgi]

2009-12-01T18:36:08.279176Z Robin Watts

>     Factor out the miter checking code into a single function rather than having it
>     repeated 3 times.

>     Add a test to the extracted code to spot the case where the cdelta's are too
>     small to be reliably used to calculate the correct miter point. In such cases
>     revert to using the raw vectors suitably scaled.

>     Testing reports 69 changes in the regression files, none of which can be
>     reproduced locally. This fixes bug 690098.

> [base/gxstroke.c]

2009-12-01T18:08:58.973794Z Alex Cherepanov

>     Fix a Coverity warning and a potential array overrun in obj_cvp().

> [psi/iutil.c]

2009-12-01T16:04:36.569081Z Marcos H. Woehrmann

>     Another clusterpush.pl change that was lost, should have been part of r10421.

> [toolbin/localcluster/clusterpush.pl]

2009-12-01T15:37:15.738865Z Marcos H. Woehrmann

>     Fixed localcluster/clusterpush.pl to work with casper3.

> [toolbin/localcluster/clusterpush.pl]

2009-12-01T09:02:10.394257Z Marcos H. Woehrmann

>     All local cluster jobs are now queued (instead of just user jobs).
>     This eliminates a race condition that could have occured if the
>     ghostpdl/ghostscript repository is updated after the cluster master
>     initiates a cluster run but before the nodes perform the svn update.
>     As a side-effect of this change svn commit jobs are not longer given
>     priority over user jobs.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl]

2009-12-01T03:40:54.743929Z Alex Cherepanov

>     Fix a Coverity warning about unchecked negative return and a possible
>     access to an array at a negative position.

> [psi/zupath.c]

2009-11-30T23:37:23.019948Z Michael Vrhel

>     Fix for bug 690218.   If the SeparationOrder was specified, then we should only allocate buffer space for those colorants.  See devn_put_params for details on this.  Right now, the PDF14 device will always include CMYK.  A future optimization is to be able to NOT have those included in the bufferallocations if we don't specify them.  In that case it would then be possible to output 8 separations at a time without using compressed color.  Note that if SeparationOrder is not specified, the number of colorants used in the pdf14 device buffer allocations is equal to the number of colorants in the document up to a maximum of 64.

> [base/gstrans.c]

2009-11-30T23:12:19.025235Z Marcos H. Woehrmann

>     Change from batch job distribution system to polled system.

> [toolbin/localcluster/splitjobs.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl]

2009-11-30T22:57:24.661785Z Ray Johnston (details)

>     Fix for segfault when image 'clues' are accessed during a GC after a
>     restore has erased (set to zero) the contents. Bug 690915.

> [base/gxipixel.c]

2009-11-30T20:34:48.913220Z Henry Stiles

>     Remove an unnecessary diagnostic debug printf which should not have
>     been checked in.  No expected differences.

> [base/gsalloc.c]

2009-11-30T16:40:08.309112Z Henry Stiles

>     New procedure to dump memory chunks with less detail.  This will be
>     used by the non garbage collecting client languages to print memory
>     leak information at the end of jobs.  No expected differences.

> [base/gsalloc.c]

2009-11-30T09:05:26.245478Z Ken Sharp (details)

>     Fix (FAPI): Can't handle FontBBox as 't_mixedarray'

> [psi/zfapi.c]

2009-11-30T02:47:11.189285Z Hin-Tak Leung

>     updating begin_image and fill_mask to cope with white/black+transparent

>     Apparently not all black/white+transparent uses the copy_mono code path, which
>     has been recently updated to do white-on-mask. There are two other ways
>     black/white+transparent can pass through pxl - in begin_image() (as part of an
>     RGB/Gray image with an alpha channel) which is most of the files in bug
>     690947, and fill_mask() which has no known cases yet.

>     Note the new addition to fill_mask() and begin_image() is not identical to that
>     in copy_mono() in the case of the drawing color being white - fill_mask() and
>     begin_image() both try to draw white on the blacks of a black/white mask and
>     transparent on the white, whereas copy_mono() draws white on the white and draw
>     transparent on the opposite (set to black but really transparent), so the
>     source is inverted in fill_mask() and begin_image() compared to copy_mono().

> [base/gdevpx.c]

2009-11-30T02:41:19.062276Z Hin-Tak Leung

>     set ROP to paint through character glyphs (pattern tiles).

>     Apparently complete pattern tiles are sent as a character in a custom symbol
>     font (rather than small rectangles for incomplete tiles), thus allowing re-use.
>     The code set the fill color but never set ROP to "paint with brush color" thus
>     glyphs appears as black. This patch set the ROP3 operation to paint through
>     complete pattern tiles. Fixes bug 690949, also some of the problems in bug
>     690585 (for ghostpdl).

> [base/gdevpx.c]

2009-11-30T02:36:44.876347Z Hin-Tak Leung

>     fix typo introduced in r5556

>     It appears that 'r5556: Added macros for assertions' introduced a typo.
>     There is no known effect from this typo, except possibly stroke color
>     not being set where it should.

> [base/gdevpx.c]

2009-11-30T02:30:52.552359Z Hin-Tak Leung

>     another ID to name update

> [doc/AUTHORS]

2009-11-30T02:29:45.556262Z Hin-Tak Leung

>     avoid setting join to invalid value; issue found in bug 690585

> [base/gdevpx.c]

2009-11-29T02:43:31.722821Z Ray Johnston

>     Fix to correct mask offsets (bit order) for big_endian as well as sharing this
>     array for the various devices. Bug 690954.

> [base/gdevtsep.c]

2009-11-28T10:59:10.646748Z Ken Sharp (details)

>     Fix (FAPI) : segmentation violation with Multiple Master fonts

> [psi/zfapi.c]

2009-11-28T04:39:43.983110Z Marcos H. Woehrmann

>     Changes to accomodate the transition from casper2 to casper3.

> [toolbin/localcluster/clustermonitor.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/clusterpull.sh toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl]

2009-11-27T19:15:08.980517Z Ray Johnston

>     Fix dereference of NULL when target device passed to gx_forward_put_params
>     was NULL. This occurred with the standalone 'bbox' device.

> [base/gdevnfwd.c]

2009-11-27T19:07:02.726122Z Ray Johnston

>     Fix for Device N capable device segfaults (psdcmyk, tiffsep, tiffsep1, ...) that use
>     the gdevdevn.c parameter handling. A 'restore' could free up separation names but
>     the pointers in the device were unchanged. Bug 690956.

> [base/gdevdevn.c]

2009-11-27T14:19:19.911778Z Ken Sharp (details)

>     Fix (FAPI) : invalid fonts resulting in errors

> [psi/fapi_ft.c]

2009-11-27T00:55:09.262519Z Robin Watts

>     Part 2 of commit 10391. Reinitroduce special cases in a way that doesn't change
>     the output. A clustertest shows 33 differences overall, but testing of those
>     files on my local machine shows them all to be identical.

>     This fixes bug 687666.

> [base/gdevddrw.c]

2009-11-26T20:48:31.400887Z Robin Watts

>     First of a 2 part commit, fixing the special case horizontal/vertical
>     rectangle code in the thin line code in gdevddrw.c, as it doesn't match
>     the general case. This will cause many differences in the regression tests.

>     Part 2 will commit a fixed version that will hopefully show none.

> [base/gdevddrw.c]

2009-11-26T16:53:25.042900Z Ken Sharp

>     Removed commented out code that should not have been left behind in revision 10389

> [psi/zfapi.c]

2009-11-26T16:44:03.688193Z Ken Sharp (details)

>     Fix (FAPI) : intermittent crashes with TrueType fonts

> [psi/zfapi.c]

2009-11-26T10:18:15.394246Z Ken Sharp (details)

>     Fix (FAPI) : Incorrect GID supplied to font interpreter for CIDFonts with TT outlines

> [psi/zfapi.c]

2009-11-26T10:13:00.448002Z Ken Sharp (details)

>     Fix (FAPI) : CIDFonts not working with fonts containing a CDevProc

> [psi/zfapi.c]

2009-11-26T07:13:02.012525Z Marcos H. Woehrmann

>     Report enhancments as a separate category in the the weekly bug aging report.  Closes bug 690524.

> [toolbin/bugsByEngineer.pl]

2009-11-26T00:47:35.579155Z Robin Watts

>     Fix for bug 688655: stroking of wide curves with high curvature would
>     previously have left strange effects under the curve, and had nasty
>     flattening artifacts on the outside of joins.

>     Here we alter the stroking logic to spot that line segments come from curves
>     and we render using round joins both above and below the curve.

>     This gives us correct rendering of tests/ps/jointest.ps for the first time.

>     This causes about 4000 diffs. I've generated a huge number of them locally
>     and they all seem to be the odd pixel changed do to rounding. Where differences
>     are larger I've convinced myself that the difference is correct.

> [base/gxstroke.c]

2009-11-25T19:59:11.063393Z Henry Stiles

>     Remove the string list implementation from the "nogc" allocator.  This
>     makes the implementation much simpler and there was little or no
>     performance improvement with the string lists.  Also this file has
>     been cleaned up of archaic comments about VMS, compiler support
>     comments, pragmas, etc.  No expected differences.

> [base/gsnogc.c]

2009-11-24T16:51:12.328850Z Robin Watts

>     Fix for bug 690938. Revert revision 10294, an attempt to fix a valgrind bug,
>     and instead initialise the bbox of paths to the maximally invalid bbox.

>     As soon as any point is added to the bbox, we'll get a valid bbox. Note that
>     the "bbox_set" flag does NOT mean "the bbox is valid", it instead means "the
>     bbox has been set, as per the setbbox postscript operator".

> [base/gxpath.c base/gxpath2.c base/gxpath.h]

2009-11-24T12:31:17.678731Z Robin Watts

>     In revision 10351 I commited a partial fix for Bug 690531 that added a new
>     method for stroking a path. Due to a silly mistake on my part when stroking
>     paths with round caps, we could occasionally fail due to a confusion over
>     which caps to use.

>     Ralph reported this issue as bug 690639. The error is fixed here, but this
>     doesn't solve all the rendering problems. Investigations continuing.

> [base/gxstroke.c]

2009-11-24T08:36:27.174072Z Lars Uebernickel

>     Don't use sed's extended regular expression syntax in configure.ac.

>     GNU and Mac OS X have different command line options to enable them and since
>     it was only used once, it's easier to simply use the standard regexp format.

> [base/configure.ac]

2009-11-24T01:31:19.408746Z Ralph Giles

>     Implement JBIG2Decode generic regions using TPGDON.

>     Closes bug 690791.

> [jbig2dec/jbig2_generic.c]

2009-11-23T17:35:16.098214Z Ray Johnston (details)

>     Fix for segfault reported in 690880 with separation devices. The is_open flag
>     was not being properly maintained when put_params resulted in a target device
>     closing due to DeviceN color state changing.

> [base/gdevp14.c base/gdevnfwd.c]

2009-11-23T02:44:56.504420Z Marcos H. Woehrmann

>     Report pdfwrite differences separately from other differences.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/compare.pl]

2009-11-22T23:46:21.529560Z Ray Johnston

>     Add description of the tiffsep1 device. It was mentioned in the previous update,
>     but the basic device characteristics were missing.

> [doc/Devices.htm]

2009-11-22T20:09:44.171077Z Lars Uebernickel

>     Added a -sCompression parameter to all TIFF devices.

>     This parameter sets the compression scheme of the resulting file and can take
>     the values 'none', 'crle', 'g3', 'g4', 'lzw', and 'pack'.  crle, g3, and g4
>     only work for 1-bit devices.  For tiffsep, it sets the compression scheme of
>     the separation files, the composite cmyk file is always saved uncompressed.

>     Libtiff supports many more compression formats (e.g. jpeg, deflate).  Adding
>     them to this implementation is trivial.

>     doc/Devices.htm documents the parameter further.

> [base/gdevtifs.c base/gdevtifs.h base/gdevtsep.c doc/Devices.htm base/gdevtfnx.c base/gdevtfax.c]

2009-11-21T09:44:54.242928Z Ken Sharp (details)

>     Fix (pdfwrite) : problems with type 3 fonts and glyphshow

> [base/gdevpdts.c]

2009-11-20T20:09:26.637666Z Ray Johnston

>     Fix segfaults in tiffsep and tiffsep1 -- After TIFFCleanup, need to set the tiff
>     structure pointer to NULL to prevent later use. Fix separation file name logic
>     to substitute a harmless '_' character for characters that cause file system
>     action ('/'. '\' and ':').

>     Set default compression for tiffsep output 'gray' pages to LZW and default for
>     tiffsep1 to G4. While not strictly backwards compatible, any competent tiff
>     reader will be able to handle this.

> [base/gdevtsep.c]

2009-11-20T18:10:12.230365Z Ralph Giles

>     Skip JBIG2Decode generic regions using TPGDON.

>     We don't yet implement this, and discarding the data is better than
>     proceeding with the incorrect decoding proceedures, which generally
>     just produce noise. Work-around for bug 690791.

> [jbig2dec/jbig2_generic.c]

2009-11-19T20:17:02.559183Z Ray Johnston (details)

>     Fix for segfault reported in bug 690927 and two of the segfaults of bug 690880.

> [base/gdevp14.c base/gxblend1.c]

2009-11-19T16:48:11.876622Z Robin Watts

>     Fix stupid typo: ; for , - pointed out by tor. Sorry everyone.

> [base/gspath.h]

2009-11-19T13:56:18.594001Z Robin Watts

>     Fix for Bug 690531, excessive slowdown while rendering a complex stroked
>     path with anti-aliasing.

>     The problem is caused by the gs filling code grinding to a halt under the
>     weight of an extremely complex path produced by stroking an already complex
>     path and then filling it all at once.

>     This change can be seen as a workaround in that it does not change the
>     filling code at all (this may be considered in future after the freetype
>     changes have gone in), but instead adds a new mechanism for stroking that
>     produces (broadly) equivalent strokes which happen to fill more easily.

> [base/gxpath2.c base/gxpath.h base/gxstroke.c]

2009-11-19T00:09:15.456317Z Ralph Giles

>     Replace only the initial definition of the gs executable
>     in the script wrappers.

>     It is possible to change the name of the compiled gs executable; this is
>     generally used to distinguish multiple installed versions. In r5212 a
>     sed command was added to the unix build scripts to rewrite the name of
>     the gs executable embedded in the various wrapper scripts so that they
>     would call the corresponding version.

>     This was broken in r8107 where an extra clause was added to have the
>     wrapper scripts prefer the gs executable in their local directory
>     over any in the path. Unfortunately the sed command rewrites both
>     attempts to set GS_EXECUTABLE.

>     This commit only rewrites the specific assignment of the default name.
>     Thanks to Vince Dean for suggesting the fix. Bug 686863.

> [base/unixinst.mak]

2009-11-18T04:46:21.000840Z Alex Cherepanov

>     Handle optional content following the default viewing optional content
>     configuration dictionary. Skip invisible XObjects and render invisible
>     parts of content streams to nulldevice. Bug 690633, customer 1110.

> [Resource/Init/pdf_ops.ps Resource/Init/pdf_main.ps Resource/Init/pdf_draw.ps]

2009-11-17T22:26:38.187446Z Lars Uebernickel

>     Call libtiff's configure script when configuring ghostscript.

>     This also removes the (now) unnecessary tiff config files from the repository,
>     which fixes build problems on compilers where headers are always first searched
>     in the current directory.

> [tiff/libtiff/tif_config.h tiff/libtiff/tiffconf.h base/configure.ac]

2009-11-17T20:10:20.126305Z Lars Uebernickel

>     Use TIFFCleanup instead of TIFFClose in all tiff devices, as the fd is already
>     closed in gp_prn_close.

> [base/gdevtifs.c base/gdevtsep.c base/gdevtfax.c]

2009-11-17T18:01:22.576735Z Marcos H. Woehrmann

>     Several small changes to the local cluster code:

>     clusterpush.pl - you can now specify what products to test via the command line.

>     e.g. clusterpush.pl gs
>          clusterpush.pl 'svg pcl'

>     By default all products ('gs','pcl','xps','svg') are tested.

>     compare.pl - no longer report not changed non-value return codes.

>     build.pl - remove all pcl tests except for 600 dpi/banded and most svg tests.
>     no longer randomize jobs (helps with the indeterminisms and improves load balancing).

>     clustermaster.pl - changes to support new clusterpush.pl options and improvement in the
>     load balancing algorithm.

>     run.pl - add support for semaphore to insure only on copy is run at a time
>     (currently disabled pending additional testing).

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2009-11-17T15:45:42.467605Z Ken Sharp (details)

>     Fix (TT font substitution) : Incorrect Widths applied to CIDFont glyphs from PDF file

> [psi/zcharout.c]

2009-11-16T17:01:59.813716Z Ken Sharp (details)

> [base/gxchar.c]

2009-11-16T16:48:21.437679Z Ken Sharp (details)

>     Fix (TT fonts) : regression with TrueType fonts

> [Resource/Init/pdf_font.ps Resource/Init/gs_ttf.ps]

2009-11-14T18:20:52.369823Z Robin Watts

>     Bug fix for Bug 688604, "incorrect rendering of a returning curve".

>     The code currently in ghostscript checks for the bbox of a beziers control
>     points being of zero width/height and to avoid a division by zero just chooses
>     not to subdivide this curve. This is wrong in some cases.

>     The fix here is a cheap and cheerful one; in the case where one dimension is
>     zero and the other isn't, we basically do the same calculation as would be
>     done in the two dimensional case, but just with a one dimensional distance
>     as input.

>     This causes various diff; all look good in my tests.

> [base/gxpcopy.c]

2009-11-13T00:16:47.523271Z Robin Watts

>     This patch fixes Bug 688269, by making ghostscript use pie joins rather than
>     round ones when stroking in non CPSI_mode.

>     This produces 3000 or so bitmap diffs, but after leaving my machine running
>     all night generating lots of diffs for me to examine this morning, they all
>     look like stray pixel changes (i.e. differences caused by rounding).

> [base/gxstroke.c]

2009-11-11T17:42:22.705154Z Robin Watts

>     Final msvc makefile changes to make ghostPDL targets build with the new
>     libtiff stuff.

> [/trunk/ghostpdl/svg/svg_msvc.mak base/gs.mak]

2009-11-11T15:50:28.792827Z Lars Uebernickel

>     Changed all tiff devices to use libtiff.

>     Affected Devices are tiffgray, tiff12nc, tiff24nc, tiff32nc, tiffsep, tiffsep1,
>     tiffcrle, tiffg3, tiffg32d, tiffg4, tifflzw, and tiffpack.  Also, two new
>     devices: tiff48nc and tiff64nc (16 bits per component rgb and cmyk respectively)
>     have been added.

>     Libtiff 3.9.2 is included in the source tree as tiff/.  It is possible to link
>     to the system's libtiff by passing --with-system-libtiff to configure.  Passing
>     --without-system-libtiff will force the build to use the in-source version. By
>     default, the newer library (based on TIFFLIB_VERSION in tiffvers.h) is used.

> [tiff/libtiff/tif_predict.c tiff/contrib/addtiffo/tif_ovrcache.c tiff/html/images/bali.jpg tiff/libtiff/tif_predict.h tiff/man/tiffdither.1 tiff/contrib/addtiffo/tif_ovrcache.h tiff/libtiff/tiffconf.h tiff/libtiff/tif_apple.c tiff/html/v3.7.1.html tiff/html/v3.5.7.html tiff/test/check_tag.c tiff/man tiff/contrib/iptcutil/iptcutil.c tiff/html/addingtags.html tiff/contrib/dbs/tiff-palette.c tiff/html/man/TIFFbuffer.3tiff.html tiff/html/index.html tiff/contrib/win_dib/Tiffile.cpp base/gdevtifs.c base/gxcmap.c tiff/config/install-sh tiff/man/TIFFReadRGBATile.3tiff base/gdevtifs.h tiff/html/man/tiffsplit.1.html tiff/html/man/TIFFPrintDirectory.3tiff.html tiff/contrib/tags/xtif_dir.c tiff/contrib/stream/README tiff/contrib/acorn/SetVars tiff/contrib/mac-mpw/mactrans.c tiff/contrib/mfs/mfs_file.c tiff/test/short_tag.c tiff/tools/fax2tiff.c tiff/config/depcomp tiff/html/man/TIFFReadScanline.3tiff.html tiff/contrib/tags tiff/contrib/ras/Makefile.am tiff/libtiff/tif_aux.c tiff/libtiff/tif_packbits.c tiff/libtiff/tif_zip.c tiff/html/v3.5.4.html tiff/man/TIFFbuffer.3tiff tiff/contrib/mac-cw tiff/contrib/acorn/Makefile.am tiff/html/man/TIFFmemory.3tiff.html tiff/html/v3.5.6-beta.html tiff/m4/ltsugar.m4 tiff/tools/ycbcr.c tiff/html/man/TIFFRGBAImage.3tiff.html tiff/man/TIFFWriteRawStrip.3tiff tiff/html/v3.4beta007.html tiff/libtiff/tif_unix.c tiff/html/man/tiffinfo.1.html tiff/html/man/tiffset.1.html tiff/tools/rasterfile.h tiff/html/man/TIFFFlush.3tiff.html tiff/man/tiffdump.1 tiff/contrib/dbs/tiff-rgb.c tiff/contrib/dbs/Makefile.in tiff/html/man/fax2tiff.1.html tiff/contrib/mac-cw/mkg3_main.c tiff/contrib/win_dib/Makefile.in tiff/configure.com tiff/html/man/TIFFReadRGBAStrip.3tiff.html tiff/html/man/sgi2tiff.1.html tiff/tools/tiff2ps.c tiff/html/v3.5.1.html tiff/html/intro.html tiff/libtiff/tif_atari.c tiff/html/v3.8.0.html tiff/contrib/dbs/README tiff/config tiff/libtiff/tiffiop.h tiff/html/internals.html tiff/html/images/cover.jpg tiff/html/build.html tiff/libtiff/tiffconf.h.in tiff/html/man/TIFFWarning.3tiff.html tiff/contrib/mac-cw/metrowerks.note tiff/man/TIFFReadEncodedStrip.3tiff tiff/man/tiff2bw.1 tiff/HOWTO-RELEASE tiff/man/tiff2pdf.1 tiff/man/tiffsplit.1 tiff/html/man/TIFFcodec.3tiff.html tiff/man/bmp2tiff.1 tiff/html/v3.4beta016.html tiff/tools/fax2ps.c tiff/html/libtiff.html tiff/html/v3.4beta028.html tiff/html/man/tiffmedian.1.html tiff/html/man/TIFFWriteRawTile.3tiff.html tiff/man/TIFFError.3tiff tiff/tools/tiffmedian.c tiff/man/rgb2ycbcr.1 tiff/libtiff/uvcode.h tiff/html/images/dave.gif tiff/man/TIFFWriteEncodedStrip.3tiff tiff/html/man/Makefile.in tiff/contrib/dbs/xtiff/Makefile.am tiff/config/config.sub tiff/libtiff/Makefile.vc tiff/libtiff/tif_fax3.c tiff/man/TIFFWarning.3tiff tiff/tools/tiffgt.c tiff/man/TIFFWriteScanline.3tiff tiff/html/v3.9.2.html tiff/SConstruct tiff/contrib/tags/Makefile.am tiff/contrib/acorn/install tiff/libtiff/tif_fax3.h tiff/contrib/pds/tif_pdsdirwrite.c tiff/contrib/mac-mpw/Makefile.am tiff/man/TIFFcodec.3tiff tiff/man/tiffsv.1 tiff/html/Makefile.am tiff/contrib/mac-mpw/tools.make tiff/html/images/oxford.gif tiff/html/man/TIFFsize.3tiff.html tiff/contrib/iptcutil/Makefile.in tiff/html/man/TIFFReadEncodedTile.3tiff.html tiff/contrib/ras/tif2ras.c tiff/configure tiff/html/images/note.gif tiff/contrib/mfs/README tiff/html/man/tiff2bw.1.html tiff/config/mkinstalldirs tiff/libtiff/tif_jpeg.c psi/msvc32.mak tiff/test/Makefile.am tiff/html/man/TIFFGetField.3tiff.html tiff/m4/ltoptions.m4 tiff/html/man/TIFFReadRGBATile.3tiff.html tiff/libtiff/libtiff.def tiff/contrib/tags/listtif.c tiff/man/raw2tiff.1 tiff/html/v3.7.0beta.html tiff/tools/tiffdump.c tiff/html/man/TIFFWriteEncodedTile.3tiff.html tiff/man/ppm2tiff.1 tiff/html/v3.6.0.html tiff/contrib/addtiffo/Makefile.vc base/unix-gcc.mak tiff/man/TIFFDataWidth.3tiff tiff/contrib/mfs/Makefile.in tiff/contrib/pds/Makefile.in tiff/tools/Makefile.am tiff/contrib/dbs/tiff-bi.c tiff/contrib/iptcutil/test.iptc tiff/man/TIFFcolor.3tiff tiff/html/man/TIFFWriteScanline.3tiff.html tiff/man/tiff2rgba.1 tiff/contrib/addtiffo tiff/contrib/acorn/convert tiff/html/v3.4beta034.html tiff/tools/tiff2pdf.c tiff/port/libport.h tiff/html/man/TIFFSetDirectory.3tiff.html tiff/man/tiff2ps.1 base/devs.mak tiff/tools/bmp2tiff.c tiff/contrib/iptcutil/test.txt tiff/RELEASE-DATE tiff/contrib/iptcutil tiff/html/man/TIFFReadTile.3tiff.html tiff/test/strip.c tiff/man/libtiff.3tiff tiff/libtiff/tif_win32.c tiff/html/v3.7.2.html tiff/libtiff/tif_ojpeg.c tiff/html/contrib.html tiff/build/Makefile.am tiff/html/man/tiffcmp.1.html tiff/html/man/TIFFClose.3tiff.html tiff/html/man/TIFFquery.3tiff.html tiff/html/TIFFTechNote2.html tiff/html/images/ring.gif tiff/test tiff/libtiff/tif_config.h-vms tiff/html/v3.4beta031.html tiff/contrib/mfs tiff/contrib/win_dib/tiff2dib.c tiff/man/TIFFswab.3tiff tiff/html/images/Makefile.in tiff/contrib/mac-mpw/libtiff.make tiff/contrib/mac-cw/mac_main.c tiff/man/thumbnail.1 tiff/libtiff/tiff.h tiff/port/lfind.c tiff/libtiff/Makefile.in tiff/contrib/mac-cw/mac_main.h tiff/libtiff/tif_strip.c tiff/tools/raw2tiff.c tiff/html/v3.5.5.html tiff/TODO tiff/man/TIFFWriteTile.3tiff tiff/tools/ppm2tiff.c tiff/port/strcasecmp.c tiff/man/TIFFReadEncodedTile.3tiff tiff/html/man/tiffdither.1.html tiff/tools/sgisv.c tiff/contrib/tags/xtiffiop.h tiff/man/tiffmedian.1 tiff/libtiff/tif_config.h.in tiff/contrib/addtiffo/addtiffo.c tiff/html/images/quad.jpg tiff/html/images/warning.gif tiff/html/man/tiffsv.1.html tiff/html/images/cat.gif tiff/man/tiffcp.1 tiff/man/tiffcrop.1 tiff/man/TIFFReadRGBAStrip.3tiff tiff/libtiff/tif_version.c tiff/ChangeLog base/gdevtfnx.c tiff/test/long_tag.c tiff/port/Makefile.am tiff/man/TIFFSetField.3tiff tiff/man/Makefile.in tiff/libtiff/tif_swab.c tiff/build tiff/contrib/addtiffo/Makefile.in tiff/html/v3.5.2.html tiff/configure.ac tiff/html/man/TIFFWriteEncodedStrip.3tiff.html tiff/html/v3.8.1.html tiff/contrib/stream/Makefile.am tiff/man/TIFFmemory.3tiff tiff/man/TIFFsize.3tiff tiff/Makefile.am tiff/contrib/Makefile.am tiff/html/images tiff/autogen.sh base/winlib.mak tiff/libtiff/tif_jbig.c tiff/man/tiffinfo.1 tiff/libtiff/tif_extension.c tiff/html/images/smallliz.jpg tiff/port/strtoul.c tiff/html/man/TIFFReadEncodedStrip.3tiff.html tiff/html/man/fax2ps.1.html base/configure.ac tiff/VERSION tiff/contrib/mac-cw/Makefile.script tiff/man/TIFFWriteEncodedTile.3tiff tiff/html/v3.4beta029.html tiff/contrib/mac-cw/Makefile.in tiff/man/ras2tiff.1 tiff/libtiff/t4.h tiff/README tiff/contrib/README tiff/html/man/tiff2ps.1.html tiff/contrib/tags/maketif.c tiff/contrib/win_dib/README.tiff2dib tiff/html/man/rgb2ycbcr.1.html tiff/contrib/mac-mpw/BUILD.mpw tiff/html/man/tiffgt.1.html tiff/html/man/TIFFReadDirectory.3tiff.html base/gxdevice.h tiff/libtiff/tif_warning.c tiff/html/v3.7.0alpha.html tiff/tools/tiffcmp.c tiff/html/images/strike.gif tiff/contrib/stream/tiffstream.cpp tiff/contrib/ras/README tiff/html/man/TIFFcolor.3tiff.html tiff/tools/tiffset.c tiff/contrib/dbs/xtiff tiff/contrib/pds/tif_pdsdirread.c tiff/contrib/stream tiff/contrib/tags/xtiffio.h tiff/html/man/tiffcrop.1.html tiff/tools/tiffcrop.c tiff/port/dummy.c tiff/contrib/mac-mpw/port.make tiff/man/TIFFReadRawTile.3tiff tiff/html/man/TIFFtile.3tiff.html tiff/html/v3.6.1.html tiff/libtiff/tif_fax3sm.c tiff/html tiff/contrib/ras/Makefile.in tiff/libtiff/tif_close.c tiff/libtiff/tif_luv.c tiff/man/gif2tiff.1 tiff/html/man/libtiff.3tiff.html tiff/libtiff/tif_config.h tiff/contrib/pds/tif_imageiter.c tiff/man/TIFFPrintDirectory.3tiff tiff/contrib/dbs/Makefile.am tiff/libtiff/tif_flush.c tiff/contrib/win_dib/Makefile.am tiff/contrib/acorn/Makefile.in tiff/contrib/pds/tif_imageiter.h tiff/tools/Makefile.vc tiff/html/v3.4beta035.html tiff/contrib/stream/tiffstream.h tiff/libtiff/mkg3states.c tiff/tools/tiffinfo.c tiff/tools/tiffsplit.c tiff/contrib/pds tiff/contrib/win_dib/README.Tiffile tiff/man/TIFFReadDirectory.3tiff tiff/html/v3.9.0beta.html tiff/tools tiff/tools/rgb2ycbcr.c tiff/tools/ras2tiff.c tiff/html/images/cramps.gif tiff/m4/libtool.m4 tiff/html/v3.7.3.html tiff/html/tools.html tiff/COPYRIGHT base/libtiff.mak tiff/man/TIFFReadRGBAImage.3tiff tiff/contrib/win_dib/Makefile.w95 tiff/libtiff/tif_thunder.c tiff/html/man/TIFFReadRawStrip.3tiff.html tiff/man/fax2ps.1 tiff/libtiff/tif_lzw.c tiff/man/TIFFSetDirectory.3tiff tiff/html/man/TIFFReadRGBAImage.3tiff.html tiff/contrib/acorn/Makefile.acorn tiff/libtiff/tif_color.c tiff/m4 tiff/man/TIFFGetField.3tiff tiff/html/v3.4beta032.html tiff/libtiff/tif_win3.c tiff/html/man/TIFFWriteDirectory.3tiff.html tiff/contrib/ras tiff/libtiff/SConstruct tiff/man/sgi2tiff.1 tiff/html/man/Makefile.am tiff/contrib/iptcutil/README tiff/libtiff/tif_dirwrite.c tiff/build/README tiff/libtiff/tif_dirinfo.c tiff/libtiff/tif_write.c tiff/config/compile tiff/man/tiffgt.1 tiff/libtiff/tif_tile.c tiff/README.vms tiff/html/misc.html tiff/html/v3.7.0.html tiff/man/tiffcmp.1 tiff/libtiff/tif_open.c tiff/contrib/iptcutil/Makefile.am tiff/test/strip_rw.c tiff/contrib/dbs/xtiff/Makefile.in tiff/libtiff/tiffconf.vc.h tiff/contrib/win_dib tiff/man/tiffset.1 tiff/contrib/tags/Makefile.in tiff/libtiff/tif_config.wince.h tiff/tools/gif2tiff.c tiff/contrib/mac-mpw/Makefile.in tiff/contrib/dbs/xtiff/README tiff/libtiff/tiffio.h tiff/html/Makefile.in tiff/tools/tiff2rgba.c tiff/html/man/tiffcp.1.html tiff/contrib/mfs/Makefile.am tiff/contrib/acorn/ReadMe tiff/contrib/pds/Makefile.am tiff/man/TIFFstrip.3tiff tiff/html/man/TIFFswab.3tiff.html tiff/test/Makefile.in tiff/html/v3.5.3.html tiff/html/man/TIFFSetField.3tiff.html tiff/contrib/dbs/xtiff/patchlevel.h tiff/html/v3.8.2.html tiff/html/man/TIFFOpen.3tiff.html tiff/contrib/dbs/xtiff/xtifficon.h tiff/libtiff/tiffconf.wince.h tiff/port/getopt.c tiff/html/images/info.gif tiff/port/Makefile.vc tiff/contrib/addtiffo/tif_overview.c tiff/tools/tiffdither.c tiff/tools/pal2rgb.c tiff/html/images.html tiff/libtiff/tif_dumpmode.c tiff/html/man/TIFFWriteTile.3tiff.html tiff/aclocal.m4 tiff/config/missing tiff/html/man tiff/libtiff/tif_dir.c tiff/tools/Makefile.in tiff/Makefile.vc tiff/port tiff/html/man/tiff2pdf.1.html tiff/libtiff/tif_dir.h tiff/html/v3.4beta018.html tiff/html/man/tiff2rgba.1.html tiff/libtiff/tif_msdos.c base/gdevfax.c tiff/html/man/index.html tiff/contrib/dbs/tiff-grayscale.c tiff/contrib/dbs/xtiff/xtiff.c tiff/html/images/jim.gif base/gdevfax.h tiff/libtiff/tif_print.c tiff/tools/sgi2tiff.c tiff/man/TIFFOpen.3tiff tiff/contrib tiff tiff/contrib/mac-mpw tiff/config/ltmain.sh tiff/contrib/mac-cw/README tiff/tools/thumbnail.c tiff/libtiff/tiffio.hxx tiff/man/TIFFReadRawStrip.3tiff tiff/html/man/ppm2tiff.1.html tiff/contrib/acorn/cleanlib tiff/man/TIFFRGBAImage.3tiff tiff/html/images/back.gif tiff/libtiff/tif_read.c tiff/libtiff/tif_stream.cxx tiff/man/TIFFWriteDirectory.3tiff tiff/libtiff/tif_codec.c tiff/build/Makefile.in tiff/html/images/Makefile.am tiff/contrib/mac-cw/version.h tiff/test/ascii_tag.c tiff/libtiff/tif_pixarlog.c tiff/man/TIFFReadTile.3tiff tiff/libtiff/Makefile.am tiff/html/man/TIFFWriteRawStrip.3tiff.html tiff/contrib/tags/README tiff/libtiff/tif_error.c tiff/man/TIFFtile.3tiff tiff/nmake.opt tiff/libtiff/tif_compress.c tiff/libtiff/tiffvers.h tiff/html/man/TIFFError.3tiff.html tiff/html/man/tiffdump.1.html tiff/html/man/ras2tiff.1.html tiff/man/TIFFClose.3tiff tiff/man/TIFFquery.3tiff base/Makefile.in tiff/html/man/raw2tiff.1.html tiff/html/v3.9.1.html tiff/html/man/TIFFReadRawTile.3tiff.html tiff/m4/lt~obsolete.m4 tiff/html/man/pal2rgb.1.html tiff/libtiff/tif_dirread.c tiff/contrib/mac-mpw/top.make tiff/man/TIFFFlush.3tiff tiff/html/v3.7.0beta2.html tiff/man/TIFFWriteRawTile.3tiff tiff/html/v3.4beta024.html tiff/contrib/pds/README tiff/man/fax2tiff.1 tiff/libtiff/tif_getimage.c tiff/man/Makefile.am tiff/html/v3.4beta036.html tiff/man/TIFFReadScanline.3tiff doc/Devices.htm tiff/contrib/addtiffo/Makefile.am tiff/tools/tiffcp.c tiff/html/images/jello.jpg tiff/contrib/mac-mpw/README tiff/config/config.guess tiff/test/test_arrays.c tiff/contrib/acorn base/gs.mak tiff/man/pal2rgb.1 tiff/html/man/thumbnail.1.html tiff/libtiff/tif_acorn.c tiff/test/test_arrays.h tiff/html/man/TIFFstrip.3tiff.html tiff/html/v3.7.4.html tiff/port/Makefile.in tiff/html/bugs.html tiff/contrib/dbs base/gdevtfax.c tiff/contrib/addtiffo/README tiff/contrib/stream/Makefile.in tiff/html/man/TIFFDataWidth.3tiff.html tiff/libtiff tiff/contrib/mac-cw/Makefile.am tiff/contrib/ras/ras2tif.c tiff/libtiff/tif_next.c tiff/html/man/gif2tiff.1.html tiff/contrib/Makefile.in tiff/Makefile.in tiff/html/v3.4beta033.html tiff/html/support.html tiff/libtiff/tif_config.vc.h tiff/m4/ltversion.m4 tiff/tools/tiff2bw.c base/gdevtsep.c tiff/html/document.html tiff/m4/acinclude.m4]

2009-11-11T15:01:20.119636Z Hin-Tak Leung

>     silent two compiler warnings for casting from const to non-const introduced by r10313

> [base/gdevpx.c]

2009-11-11T14:53:05.840060Z Hin-Tak Leung

>     partly reverting r8576, and other file-size improvements.

>     After r10313, it becomes possible to revert r8576 (which was
>     a work-around to bug 688992, but increases file-sizes in some cases).
>     It is also found that r8576 is in fact more efficient for
>     small rasters; so it is only partly reverted. In two other places where
>     write_image_data() is called, switching to gx_default_copy_* for single-line
>     images/masks is likely to work well also.

>     This fixes bug 690857, where 12-07C.PS uses a lot of 1-bit images,
>     and shrinks the file size by a factor of 4.

>     There are a total of 4 places where write_image_data() is called
>     (copy_mono/copy_color/fill_masks/image_write_rows) - the 4th does
>     not use the data_bit field, nor is it likely to be called
>     with small rasters; so it is left unmodified.

> [base/gdevpx.c]

2009-11-11T14:26:17.282201Z Till Kamppeter

>     The cups_map_cmyk() function applied density corrections to RGB values. They can only get applied to CMYK values. Fixed by applying the cupsDensity correction before converting CMYK to RGB.

> [cups/gdevcups.c]

2009-11-11T13:53:23.399755Z Hin-Tak Leung

>     handles the case of data_bit being multiple of 8.

>     Try to handle the case of data_bit being multiple of 8 This fixes 690862,
>     and also make it possible to revert r8576 (which was a work-around to
>     bug 688992, but increases file-size) to fix bug 690857 (file-size issue).

>     Non-multiple of 8 are not handled, but by-passed at the callers'.

> [base/gdevpx.c]

2009-11-11T13:52:23.912583Z Alex Cherepanov

>     Increase the size of the initial buffer in the scanner dynamic area to accept
>     the string of maximum valid size. Protect the buffer from overflow when the
>     scanner state is saved during reading of a name that exceed max name length.
>     Bug 690902.

> [psi/iscan.c psi/int.mak psi/iscan.h]

2009-11-11T13:37:03.631859Z Hin-Tak Leung

>     caching SetPen/SetBrush Null calls

>     For some test files (the PS3 CET set), the pxlcolor/pxlmono code
>     emits a lot of setpen/setbrush nulls. There is no need to set it again
>     if the printer already got a previous setpen/brush null. So this patch
>     caches the null/non-null state of both pen and brush in the
>     driver and not re-issue set nulls if the last set was a null.

>     This only gives about 5% file size saving for the test file I wrote it
>     for. Part of the fix to bug 690857.

> [base/gdevpx.c]

2009-11-11T09:51:26.353930Z Ken Sharp (details)

>     Fix (pdfwrite) : correct introduced regression

> [base/gdevpdtt.c]

2009-11-10T20:44:18.431838Z Hin-Tak Leung

>     fix (signed 16-bit)0 problem with r10267, and separate signed/unsigned numbers.

>     r10267 'write signed 16-bit integers properly' contains a mistake with ">"
>     (should be ">=") - it puts (signed 16-bit)0 as 32768. Historically,
>     the old code does 16-bit integers unsigned eventually. This current change
>     also separate signed and unsigned numbers. Apologies.

> [base/gdevpxut.h]

2009-11-09T23:41:11.015200Z Hin-Tak Leung

>     implements white on mask (and added black on mask) in copy_mono.

>     This adds white on mask as mask=black and (D & ~S) | S .
>     Black on mask is treated specially as (S & D). Fixes bug 688372
>     (which uses white on mask) and 690830 (which uses black on mask)
>     and 690025 (which uses both white on mask and black on mask).

> [base/gdevpx.c]

2009-11-09T20:55:30.861525Z Hin-Tak Leung

>     reverting r8733, which was a faulty fix to bug 688372.

>     reverting most of r8733 (except the two debug statements), which was
>     a faulty fix to bug 688372. The faulty fix seems to be the source of
>     bug 690861 and 690868. The correct fix to 688372 to follow.

> [base/gdevpx.c]

2009-11-09T20:20:51.490553Z Hin-Tak Leung

>     purge cached palette whenever color space changes.

>     The current pxlmono/pxlcolor code caches colorspace and palette calls
>     and not re-transmitting them if it hasn't changed since the last time
>     they were set. Whenever the color space changes, the current palette
>     should be purged, and a new palette should be (re-)transmitted to
>     the printer the next time an indexed colored image is sent.
>     This fixes bug 690859.

> [base/gdevpx.c]

2009-11-09T18:42:04.818284Z Alex Cherepanov

>     Buffer mask data source in a reusable stream when needed for type 3 image with
>     separate data sources. Check all possible combinations of data source types and
>     fix a bunch of bugs in the code that handles cases untested before. Bug 688389.

> [Resource/Init/gs_ll3.ps]

2009-11-09T16:04:58.791370Z Ken Sharp (details)

>     Fix (pdfwrite) : type 0 fonts with type 3 descendants could confuse pdfwrite by using
>     stringwidth

> [base/gdevpdtt.c]

2009-11-09T14:19:54.384020Z Robin Watts

>     Adding comment as suggested by Hin-Tak to document why we need a particular
>     header file.

> [base/gdevpx.c]

2009-11-09T14:15:32.309537Z Robin Watts

>     Fix to devs.mak: PXL requires a runlength compression function from PCL, so
>     correctly add the dependency to the makefile.

>     This issue was seen when building using macosx.mak on a Snow Leopard Macbook.

>     Maybe in future if codesize is an issue we should pull this function out to a
>     separate file.

> [base/devs.mak]

2009-11-08T00:40:19.198456Z Robin Watts

>     Fix for valgrind problem in bug 690864.

>     We were scaling the bbox of a path even when the bbox had never been set.
>     The fix is to respect the bbox_set flag.

> [base/gxpath2.c]

2009-11-07T17:31:12.980350Z Alex Cherepanov (details)

>     Adobe Acrobat considers the use of clip operation on new path a no-op.
>     Check this and don't clip when there's no path. Bug 690891.

> [Resource/Init/pdf_ops.ps]

2009-11-07T02:31:37.642669Z Ray Johnston

>     Save and restore the graphics state around the dummy fill that was added in
>     rev 10284 in order to make sure that pages have at least one fill_path call.
>     The 'copypage' operator does not perform initgraphics so the FTS test that
>     expected the graphics state to be unperturbed by copypage would fail.
>     Bug 690894. Thanks to Alex for spotting the cause of the regression.

> [base/gsdevice.c]

2009-11-06T20:40:48.453064Z Robin Watts

>     Fix for bug 690890. We always use the CPSI_mode version of the gs_strokepath
>     code (when executing strokepath or ustrokepath postscript operators). This
>     means we better match acrobat.

>     This frees us to optimise the non CPSI_mode version so as to produce simpler
>     stroked paths with the same outlines. This should allow us to be faster in
>     the non strokepath cases.

> [base/gxpaint.c base/gspath.h base/gxpaint.h /trunk/ghostpdl/xps/xpspath.c base/gspaint.c base/gxstroke.c base/gxclrast.c]

2009-11-06T14:23:40.138345Z Alex Cherepanov

>     Clamp coordinates when the path is scaled up for anti-alias rendering.
>     Leave 1000pt slack at the edge because the path drawing routines can't
>     handle values close to the edge of the representable space. Bug 690864.

> [base/gxpath2.c]

2009-11-05T23:35:59.860092Z Robin Watts

>     Update htmldiff.pl to cope with svg files (and pdfwrite svg files).
>     Also update the invocation of .PS files to use gs_cet.ps

> [toolbin/htmldiff.pl]

2009-11-05T22:24:30.858232Z Ray Johnston (details)

>     This is the initial commit of the 'tiffsep1' device code that emits
>     separation files as 1-bit per pixel TIFF files, a separate file for
>     each separation. This is a CMYK plus Spot color device, and the
>     number of separations (spot colors) supported depends on the gdevdevn.h
>     setting of USE_COMPRESSED_ENCODING. By default this is true as long as
>     the sizeof(gx_color_index) is >= 8, so up to GX_DEVICE_COLOR_MAX_COMPONENTS
>     layers can be generated (current default 64). Without compressed color
>     encoding, then only 8 total (C, M, Y, K and 4 spot colors) can be
>     supported.

>     Files are named with the separation layer in ( ), e.g. x(Black).tif if
>     the OutputFile is 'x.tif'. Since no composite CMYK is generated, the
>     base file is deleted ('x.tif' in the example).

> [base/gsdevice.c psi/os2.mak base/bcwin32.mak base/openvms.mak base/watcw32.mak base/Makefile.in base/gdevtsep.c base/configure.ac base/unix-gcc.mak base/unixansi.mak psi/msvc32.mak base/macos-mcp.mak base/devs.mak]

2009-11-05T17:01:01.144368Z Marcos H. Woehrmann

>     Add support for only testing only langauges which were affected by a commit.

> [toolbin/localcluster/splitjobs.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/readlog.pl toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2009-11-05T08:14:47.560103Z Hin-Tak Leung

>     updating the internal graphic state as in the else part; 2nd half of fix to bug 690853

> [base/gdevpx.c]

2009-11-03T23:43:48.930105Z Ralph Giles

>     Fix a const propagation warning.

>     Also remove some trailing whitespace.

> [base/gdevp14.c]

2009-11-03T23:43:47.356550Z Ralph Giles

>     Remove some unused variables from the PDF 1.4 compositor device,
>     fixing several warnings. Also cleans up some formatting.

> [base/gdevp14.c]

2009-11-03T23:43:45.299604Z Ralph Giles

>     Move some static prototypes from gdevp14.h to gdevp14.c.

>     These two functions, internal to gdevp14.c, need forward prototypes
>     but where declared in the public header, causing gcc warnings when
>     the declarations where included in other source files.

> [base/gdevp14.c base/gdevp14.h]

2009-11-03T17:54:36.738828Z Hin-Tak Leung

>     revert to PXL 1.1 - it is possible some old printers dislike PXL 2.1 header

> [base/gdevpxut.c]

2009-11-03T16:59:25.556772Z Alex Cherepanov

>     Fix a line split without the '\' at the end of the line. By some reason gmake
>     tolerates this but MSVC nmake doesn't. Bug 690886, customer 661.

> [base/lib.mak]

2009-11-03T14:39:04.429643Z Hin-Tak Leung

>     Use SetPageScale and SetPageOrigin to work around 16-bit limit in paths.

>     This is a similar but more extensive change to the last (16-bit limit in
>     SetCursor), which use SetpageScale to make path co-ordinates fit within
>     16-bit. In so doing some paths can become inaccurate if one of the
>     points are not large; so SetPageOrigin is used to shift to one such point
>     before the scaling. This is the last part to fix bug 690858 and bug 690860 .

> [base/gdevpx.c]

2009-11-03T14:06:53.986640Z Hin-Tak Leung

>     Use SetPageScale to work around 16-bit limit in SetCursor.

>     Here SetPageScale is used so that large cursor co-ordinates can fit
>     within 16-bit signed integer limit. This fixes bigpath.ps in
>     bug 690855, and also fixes some of the problems seen in bug 690858 and
>     bug 690860.

> [base/gdevpx.c]

2009-11-03T13:54:22.932026Z Hin-Tak Leung

>     new SetPageScale/Unset utility routine before the fix to bug 690858

> [base/gdevpx.c]

2009-11-03T13:50:17.551314Z Hin-Tak Leung

>     new SetPageOrigin utility routine before the fix to bug 690858

> [base/gdevpx.c]

2009-11-03T13:41:54.478161Z Hin-Tak Leung

>     fixes age-old typo.

>     This appears to be a typo - the gray conversion code is doing
>     out = (red + green + next_red) instead of (red + green + blue).

> [base/gdevpx.c]

2009-11-03T13:36:48.031673Z Hin-Tak Leung

>     write signed 16-bit integers properly.

>     The pxl utlity code has never been able to write negative numbers as
>     signed 16-bit integers properly. This fixes bug 690863 primarily, and also
>     some of the problems seen in bug 690858, file  CATX8874.pdf mentioned
>     in bug 690859, and part of the problems in bug 690860.

> [base/gdevpxut.h base/gdevpxut.c]

2009-11-03T13:20:30.378093Z Hin-Tak Leung

>     Do rounding of co-ordinates rather than clipping.

>     This set of change tries to calculating the co-ordinates more accurately by
>     doing rounding of fractional parts instead of clipping off the fractional
>     parts. This is part of the fix to bug 690869. Also needs -r1200 to work
>     for the intended purpose of matching with ppmraw output.

> [base/gdevpx.c]

2009-11-03T13:14:51.306299Z Hin-Tak Leung

>     Tightening the standard media size matching.

>     Drop the tolerance to 0.05 from 5/72 of an inch.
>     One of the test files is 36-pixels @r600 within a standard size.
>     Fixes bug 690866.

> [base/gdevpxut.c]

2009-11-03T12:59:24.143346Z Hin-Tak Leung

>     flush stream data in close_device().

>     For a whole set of postscript files (the ps3cet set), the close_device()
>     finalizer code is called before the PXL output is flushed. This causes
>     the PJL job footer to be outputted in the middle of the last portion of
>     PXL output, thus corrupting the PXL data. Adding a flush fixes this problem.
>     Fixes one of the many problems in bug 690858.

> [base/gdevpx.c]

2009-11-03T12:50:17.079568Z Hin-Tak Leung

>     Removes two redundant SetBrushSource black

>     The two SetBrushSourcewas introduced by:

>     r8732: marcos - Add support to pxlcolor and pxlmono for 24 bpp images.

>     After r8732, whenever one tries to output an image, the brush color is reset to
>     black. This affects later drawings that relies on a non-black brush color being
>     set previously and still considered being active. Fixes bug 690853.

> [base/gdevpx.c]

2009-11-03T06:21:49.323464Z Ralph Giles

>     Add missing return type and static scope to the definitions of
>     pdf14_push/pop_transparency_state. Fixes a gcc warning.

> [base/gdevp14.c]

2009-11-03T05:27:32.955847Z Ralph Giles

>     Include the implicitly required headers for gxpcolor.h in gdevp14.h.

>     This declares dev_color_proc_save_dc and related function pointers
>     before use, correcting a serious gcc warning and fixing compilation
>     on AIX 5.3 TL 8 SP2. Bug 690883.

> [base/lib.mak base/gdevp14.h]

2009-11-02T17:36:56.958032Z Alex Cherepanov

>     When a stream error occurs, Ghostscript sometimes print a spurious "Additional
>     information" line containing uninitialized data as part of the error message.
>     Initialize error_string in s_init_state to fix this. Thanks to
>     Michael Constant for the patch. Bug 690874.

> [base/stream.c]

2009-11-02T16:24:35.721695Z Marcos H. Woehrmann

>     Add psdcmyk to regression testing (currently only at 72/75 dpi).

> [toolbin/localcluster/build.pl]

2009-11-02T05:21:28.471147Z Marcos H. Woehrmann

>     Quiet Ubuntu 9.10 gcc/ld warning:

>     ./obj/gdevpsft.o: In function `T.107':
>     gdevpsft.c:(.text+0x992): warning: memset used with constant zero length parameter; this could be due to transposed parameters

> [base/gdevpsft.c]

2009-11-01T23:36:17.798485Z Ray Johnston (details)

>     Fix for indeterminism from psdcmyk and any other devices that use rgb_cs_to_spotn_cm
>     or other gx_cm_color_map_procs that don't set all color_info->num_components elements
>     of the "frac out[]" array. Fix for Bug 690713.

> [base/gxcmap.c]

2009-11-01T22:47:33.338243Z Alex Cherepanov

>     Fix a typo in a recently committed patch (rev. 10246) that broke a branch
>     that handles Type 3 images with string data source in the image and file data
>     source in the mask. Bug 690451, customer 200.

> [Resource/Init/gs_ll3.ps]

2009-11-01T19:50:29.144138Z Alex Cherepanov

>     Consider '0000000000 00000 n' as a free entry, issue a warning, and continue
>     processing xref table. Files with this error, generated by Quartz PDFContext
>     are getting increasingly common. Bug 690873.

> [Resource/Init/pdf_main.ps]

2009-11-01T18:32:50.921078Z Alex Cherepanov

>     Implement support of large resource dictionaries. Store XObject dictionaries
>     that exceed 65534 elements as arrays of dictionaries. Increase default operand
>     stack limit to 300000 elements. Bug 690778, customers 850, 531.

> [Resource/Init/gs_init.ps Resource/Init/pdf_main.ps Resource/Init/pdf_base.ps]

2009-11-01T15:40:28.684192Z Marcos H. Woehrmann

>     Always allocate pcl and xps jobs to i7 and i7a along with xps jobs (splitjobs.pl).

>     Fix race condition when machine goes down during regression (clustermaster.pl).

>     Repeated timeouts on a machine now cause it to abort the run and report this (run.pl and readlog.pl).

> [toolbin/localcluster/splitjobs.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/readlog.pl toolbin/localcluster/run.pl]

2009-10-30T01:25:56.717628Z Alex Cherepanov

>     Work around a requirement of .image3 operator to have image and mask data
>     sources to be of the same type. Convert the data sources to the same type
>     on PostScript level. Bug 690850, customer 870.

> [Resource/Init/gs_ll3.ps]

2009-10-29T02:07:58.374375Z Ray Johnston (details)

>     Fix for clist setcolor when compressed color encoding is used which is the
>     default build case for the tiffsep and psdcmyk and others . Bug 690851.

> [base/gdevp14.c]

2009-10-27T18:13:49.866447Z Hin-Tak Leung

>     Adding all the commit ids ever found in svn log to the AUTHORS file.

>     For those I don't know the real name of, the id was duplicated as the name.
>     This should make it easier for somebody who wants to fill in the info.

> [doc/AUTHORS]

2009-10-27T17:44:51.858107Z Hin-Tak Leung

>     Adding my commit id<->name mapping to the AUTHORS file

>     Apparently this file is used by split_changelog.py for
>     building the History files.

> [doc/AUTHORS]

2009-10-27T17:28:17.755993Z Hin-Tak Leung

>     Declare binary communications explicitly for IJS, where the default behavior
>     isn't clear for non-MS-VC compilers.

>     This makes the IJS code works correctly when compiled by mingw or borland.
>     It also fixes some issue for Watcom. Watcom-compiled client
>     still seems to be buggy (as in not inter-operating with the others).
>     Closes bug 688714.

> [ijs/ijs_client_example.c ijs/ijs_exec_win.c ijs/unistd_.h ijs/ijs_server.c]

2009-10-27T17:21:38.456605Z Hin-Tak Leung

>     Reset color space to eRGB just in case a previous fill/stroke
>     had set it to eGray. Fixes 688320.

> [base/gdevpx.c]

2009-10-27T17:02:59.376757Z Hin-Tak Leung

>     Implements DeltaRow compression as an option, plus updated user documentation.

>     The new compression scheme is activated by -dCompressMode=3.
>     1=RLE is still the default, and under some conditions:
>     1-pixel-high image (which does not compress well with DeltaRow) and out
>     of memory conditions (noCompression can run without allocating
>     memory), specifying -dCompressionMode=3 will still use the current RLE code.
>     These are documented in comments.

> [base/gdevpx.c doc/Devices.htm base/gdevpxut.c]

2009-10-27T16:53:05.423045Z Hin-Tak Leung

>     custom media size patch + bug fix.

>     This implements the CustomMediaSize as discussed; on the way I also found an
>     old bug with the pxl utility code which was just written but not used (until
>     now). See comments within. Fixes bug 690827.

> [base/gdevpxut.h base/gdevpxut.c]

2009-10-27T16:13:23.571814Z Robin Watts

>     Fix for bug 690831.

>     The test file uses a radial shading, where the final circle almost contains
>     the initial one, with 'extension' at the end selected.

>     Our code incorrectly fills the final extended circle, causing us to wipe out
>     all the correct fading we've done to that point.

>     The fix is to recognise whether we are moving 'inwards' or 'outwards', and only
>     to fill in the 'inwards' case.

>     This fixes the original issue, and causes no visible regressions.

> [base/gxshade1.c]

2009-10-27T15:54:05.886068Z Robin Watts

>     Make htmldiff.pl output resolution information in html file.

> [toolbin/htmldiff.pl]

2009-10-27T04:31:04.180870Z Michael Vrhel

>     Fix so that the monochrome devices do not use the non-separable blending
>     operations that are used for RGB devices. This was the source of an
>     indeterminism in Bug 690477. Thanks to Marcos for the detailed bug
>     information.

>     DIFFERENCES EXPECTED:

>     None. Apparently no other files use the non-separable luminosity
>     blending.

> [base/gdevp14.c]

2009-10-26T00:20:11.207073Z Robin Watts

>     bmpcmp.c: Fix bounding box calculation that could cause SEGV.

> [toolbin/bmpcmp.c]

2009-10-26T00:19:31.018870Z Robin Watts

>     Make htmldiff.pl output TITLEs for each IMG saying the source file, page,
>     resolution, and whether it's the candidate or reference image.

> [toolbin/htmldiff.pl]

2009-10-25T12:39:53.222871Z Robin Watts

>     Fix for bug 687295; force transparent stroking to construct the entire path
>     before stroking it, thus eliminating nasty effects where edges overlap.

> [base/gxstroke.c]

2009-10-23T20:17:15.860218Z Robin Watts

>     Another couple of tweaks to bmpcmp.c: Avoid producing bitmaps that have no
>     changes in (from pages with well separated changes).
>     Shrink bbox of bitmaps where possible.

> [toolbin/bmpcmp.c]

2009-10-23T19:22:10.011416Z Robin Watts

>     Tweaks to bmpcmp.c.
>      * 'Small' differences are shown in green, large differences in red.
>      * Don't print an error message when no differences found, as the script
>        does this better (and we are only looking at a page at a time).

> [toolbin/bmpcmp.c]

2009-10-23T19:20:18.949144Z Robin Watts

>     Tiny tweak to htmldiff.pl script; now lists files which it failed to find
>     changes in at the end.

> [toolbin/htmldiff.pl]

2009-10-23T19:13:36.932446Z Robin Watts

>     Fix bounding box adjustments that were causing rendering glitch in bug 687295.

> [base/gdevp14.c]

2009-10-23T07:17:56.276513Z Ralph Giles

>     Use document.domain instead of a hardwired value for the AJAX cgi
>     request. This allows the dashboard page to function on both the
>     ghostscript.com and the www.ghostscript.com server aliases.

> [toolbin/localcluster/dashboard.html]

2009-10-22T18:28:22.955248Z Ralph Giles

>     Revert the changes from r10210. This was experimental code accidentally
>     committed with an unrelated log message.

> [base/gxfcache.h base/gxistate.h base/gsfont.c base/gsistate.c]

2009-10-22T18:24:04.424606Z Ralph Giles

>     Correct a tranposed digit in the A4Small imageable area in
>     the ghostpdf ppd. Bug 690814.

> [lib/ghostpdf.ppd]

2009-10-22T18:23:57.528033Z Ralph Giles

>     Add display of the pending 'clusterpush' job queue to the dashboard.

>     Runs to check commits to the central repository preempt clusterpush
>     jobs, but it is still useful to see the queue when several jobs are
>     waiting.

>     Because we now have more than two elements, we replace the entire
>     'status' div element, rather than trying to find and replace each
>     sub-element within the div.

> [base/gxfcache.h base/gxistate.h base/gsfont.c base/gsistate.c]

2009-10-22T09:44:43.697488Z Ken Sharp (details)

>     Fix (pdfwrite) : Unchecked return value from pdf_write_spot_function

> [base/gdevpdfg.c]

2009-10-22T07:01:27.775454Z Michael Vrhel

>     Fix mistype of which procs to set to when we change the color space for a transparency group.  If we are running with a separation device with spot colors then we need to use the compressed encoding and decoding.  This fixes bug 690816.

>     DIFFERENCES EXPECTED:

>     None since it will only show up for separation devices.

> [base/gdevp14.c]

2009-10-21T18:09:25.061089Z Ralph Giles

>     Add display of the pending 'clusterpush' job queue to the dashboard.

>     Runs to check commits to the central repository preempt clusterpush
>     jobs, but it is still useful to see the queue when several jobs are
>     waiting.

>     Because we now have more than two elements, we replace the entire
>     'status' div element, rather than trying to find and replace each
>     sub-element within the div.

> [toolbin/localcluster/clustermonitor.cgi toolbin/localcluster/dashboard.html]

2009-10-21T18:09:23.409841Z Ralph Giles

>     Add a dashboard html page displaying the status of the local cluster.

>     This page retrieves the status information from the clustermonitor.cgi
>     script and parses it in javascript, constructing an html display. It
>     updates every five seconds.

>     This dashboard is currently installed as http://ghostscript.com/regression/

> [toolbin/localcluster/dashboard.html]

2009-10-21T18:09:20.856618Z Ralph Giles

>     Add a cgi version of the clustermonitor script.

>     This is a perl cgi script which returns similar information to the
>     clustermonitor.pl terminal-based dashboard in a json structure for
>     easy parsing from javascript or other remote applications.

> [toolbin/localcluster/clustermonitor.cgi]

2009-10-21T03:50:46.157782Z Michael Vrhel (details)

>     Reintegration of gs_extendgraphic branch into trunk.  This fixes bug690777.pdf.  The main purpose of this commit is to relay information about q and Q operations (extended graphic state push and pops) to the pdf14 compositor.  The reason this is needed is that the softmask is part of the extended graphic state.

>     DIFFERENCES EXPECTED:

>     Bug688807.pdf has a minor progression.  Bug688159.pdf and Bug689509.pdf also reported differences but I could not see any using cmpi.  Also, we may need to take a look at the XPS output.  It was unclear to me which were regressions and which were indeterministic.

> [base/gdevrops.c base/gxclimag.c base/gxistate.h base/gdevdflt.c base/gdevbbox.c base/gxcomp.h psi/ztrans.c base/gxclipm.c base/gsovrc.c base/gdevpdft.c /trunk/gs base/gxclip2.c base/gxdevcli.h base/gdevp14.c Resource/Init/pdf_ops.ps base/gxclist.c base/gdevp14.h base/gstrans.c base/gstrans.h base/gxclip.c]

2009-10-21T01:18:51.593536Z Marcos H. Woehrmann

>     Allow for newly added regression files to produce errors (compare.pl).

>     Fixed missing nice on some commands (build.pl).

>     Fixed spurious error message when running svn commit regression  (run.pl).

>     Reordered code so that the user regression queue is updated even while a regression run is in progress (clustermaster.pl).

>     Initial check-in (clustermonitor.pl).

> [toolbin/localcluster/clustermonitor.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/build.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2009-10-21T01:11:47.945166Z Marcos H. Woehrmann

>     Perform rsync based on checksum, not mod-time & size.

> [toolbin/localcluster/clusterpush.pl]

2009-10-20T23:10:13.904636Z Marcos H. Woehrmann

>     Modififed clusterpush.pl to print out the rsync status messages
>     (there should probably be a command line option to disable this).

> [toolbin/localcluster/clusterpush.pl]

2009-10-20T21:28:46.305832Z Marcos H. Woehrmann

>     Report build failures with more detail.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/readlog.pl toolbin/localcluster/build.pl toolbin/localcluster/run.pl]

2009-10-20T19:17:09.055802Z Hin-Tak Leung

>     Handles images rotated by 90/-90/180 degree as high level object.

>     This change implement rotated image as a high-level object by
>     emitting a PXL rotation intruction, draw the image with rotated
>     user co-ordinate, then the reverse PXL rotation. Fixes bug 690733.

> [base/gdevpx.c]

2009-10-20T16:53:11.304991Z Robin Watts

>     Fix for bug 690805.

>     If a dash pattern exactly fits into the path to be stroked, a 0 length dash
>     note is emitted, with (0,0) tangents. This causes an extra cap to be put on
>     the path when rendering, causing stray marks.

>     The fix is to recognise the case when we are about to emit a dash note with
>     no useful information in the note (i.e. if udx and udy are 0, then don't
>     emit the dash note). This leaves the renderer free to make it's own decision.

>     Examination of the bitmaps shows that all the differences are in fact
>     improvements. The following files are identified by the localcluster as
>     being differences, but no differences are found in local testing:

>     tests_private/pcl/pcl5efts/fts.1140.pdf.pkmraw.600.0 pcl i7 i7
>     tests_private/pcl/pcl5efts/fts.1140.pdf.ppmraw.600.0 pcl i7 imac
>     tests_private/pcl/pcl5efts/fts.1140.pdf.ppmraw.75.0 pcl macpro macpro
>     tests_private/pcl/pcl5efts/fts.2380.pdf.ppmraw.600.0 pcl macpro i7
>     tests_private/ps/ps3cet/09-36.PS.pbmraw.300.0 gs i7 snow
>     tests_private/ps/ps3cet/09-36.PS.pbmraw.300.1 gs snow i7
>     tests_private/ps/ps3cet/09-36.PS.pdf.pkmraw.300.0 gs i7a i7
>     tests_private/ps/ps3cet/09-36.PS.pdf.ppmraw.300.0 gs snow i7a
>     tests_private/ps/ps3cet/09-36.PS.pgmraw.300.0 gs macpro i7a
>     tests_private/ps/ps3cet/09-36.PS.pgmraw.300.1 gs macpro snow
>     tests_private/ps/ps3cet/09-36.PS.pkmraw.300.0 gs i7a i7
>     tests_private/ps/ps3cet/09-36.PS.pkmraw.300.1 gs i7 WZIM
>     tests_private/ps/ps3cet/09-36.PS.ppmraw.300.0 gs macpro i7
>     tests_private/ps/ps3cet/09-36.PS.ppmraw.300.1 gs i7 i7a
>     tests_private/ps/ps3cet/11-21.PS.pbmraw.300.0 gs i7a i7
>     tests_private/ps/ps3cet/11-21.PS.pbmraw.300.1 gs i7 i7a
>     tests_private/ps/ps3cet/11-21.PS.pdf.pkmraw.300.0 gs snow snow
>     tests_private/ps/ps3cet/11-21.PS.pdf.ppmraw.300.0 gs i7 i7
>     tests_private/ps/ps3cet/11-21.PS.pgmraw.300.0 gs macpro i7a
>     tests_private/ps/ps3cet/11-21.PS.pgmraw.300.1 gs i7 snow
>     tests_private/ps/ps3cet/11-21.PS.pkmraw.300.0 gs i7 i7a
>     tests_private/ps/ps3cet/11-21.PS.pkmraw.300.1 gs macpro WZIM
>     tests_private/ps/ps3cet/11-21.PS.ppmraw.300.0 gs macpro i7a
>     tests_private/ps/ps3cet/11-21.PS.ppmraw.300.1 gs macpro macpro
>     tests_private/ps/ps3cet/11-28.PS.pbmraw.300.0 gs i7 i7a
>     tests_private/ps/ps3cet/11-28.PS.pbmraw.300.1 gs snow snow
>     tests_private/ps/ps3cet/11-28.PS.pdf.pkmraw.300.0 gs i7 macpro
>     tests_private/ps/ps3cet/11-28.PS.pdf.ppmraw.300.0 gs i7a snow
>     tests_private/ps/ps3cet/11-28.PS.pgmraw.300.0 gs i7a i7
>     tests_private/ps/ps3cet/11-28.PS.pgmraw.300.1 gs i7a macpro
>     tests_private/ps/ps3cet/11-28.PS.pkmraw.300.0 gs snow macpro
>     tests_private/ps/ps3cet/11-28.PS.pkmraw.300.1 gs i7 snow
>     tests_private/ps/ps3cet/11-28.PS.ppmraw.300.0 gs macpro i7
>     tests_private/ps/ps3cet/11-28.PS.ppmraw.300.1 gs macpro i7
>     tests_private/xps/xpsfts-a4/fts_43xx.xps.bitrgb.72.0 xps macpro imac

> [base/gxpdash.c]

2009-10-20T16:18:29.688093Z Robin Watts

>     Simple .bmp image differ/slicer, for use with htmldiff.pl.

> [toolbin/bmpcmp.c]

2009-10-20T16:13:56.684584Z Robin Watts

>     Simple perl script to produce html+images from regression lists as produced
>     by localcluster regression tests.

> [toolbin/htmldiff.pl]

2009-10-20T07:59:42.576899Z Ken Sharp (details)

>     Fix (ps2write) : Allow use of /Indexed colour spaces in PostScript output.

> [base/gdevpdfc.c Resource/Init/opdfread.ps]

2009-10-19T20:24:53.770533Z Ralph Giles (details)

>     Print a warning when invoking the 'so' unix makefile targets from pmake.

> [base/unix-dll.mak]

2009-10-17T18:59:06.072895Z Alex Cherepanov

>     Finish implementation of ColorSpace extraction from JPX streams. RGB,
>     Gray, and ICC-based color spaces are extracted and passed to PDF interpreter.
>     Palette colors need no further processing in PDF interpreter because
>     they are expanded on C level. Bug 690207.

> [Resource/ColorSpace/sGray Resource/ColorSpace/sRGB Resource/Init/pdf_draw.ps]

2009-10-16T14:02:04.066085Z Ken Sharp (details)

>     Fix (ps2write) : Problems with type 3 fonts causing errors

> [Resource/Init/opdfread.ps]

2009-10-16T07:22:24.989326Z Ken Sharp (details)

>     Fix (ps2write) : Pattern colour spaces broken

> [Resource/Init/opdfread.ps]

2009-10-14T09:15:43.246903Z Marcos H. Woehrmann

>     Initial checkin of script to gather performance data based on revision.

> [toolbin/performance.pl]

2009-10-13T07:16:32.913558Z Ken Sharp (details)

>     Fix (ps2write) : Problem with TrueType /.notdef encoding

> [Resource/Init/opdfread.ps]

2009-10-12T02:27:21.732148Z Alex Cherepanov

>     Add sRGB and a similar one-component color space for the upcoming patch
>     that will extract color space information from JP2 stream. Bug 690207.

> [Resource/ColorSpace/sGray Resource/ColorSpace/sRGB]

2009-10-08T01:53:10.398646Z Alex Cherepanov

>     Fix a long-standing bug in ps2ascii conversion that caused concatenation of
>     the lines within a paragraph. Bug 690806.

> [lib/ps2ascii.ps]

2009-10-06T11:44:51.043694Z Alex Cherepanov

>     Skip non-PDF files during enumeration of embedded file streams in PDF
>     portfolio. Bug 690422, customer 531.

> [Resource/Init/pdf_main.ps]

2009-10-06T08:22:42.843465Z Ken Sharp (details)

>     Fix (pdfwrite) : Undo escapement of PostScript strings when writing XMP metadata for
>     PDF/A

> [base/gdevpdfe.c]

2009-10-06T07:33:33.759516Z Ken Sharp (details)

>     Fix (pdfwrite) : The PDFACompatibilityPolicy switch was being overwritten by PDFA on
>     setpagedevice

> [base/gdevpdfm.c base/gdevpdfx.h base/gdevpdfp.c base/gdevpdfb.h]

2009-10-05T16:07:19.389735Z Ralph Giles

>     Correct typos in the MacOS X linker options. Bug 690783.

> [base/unix-dll.mak]

2009-10-05T09:27:44.398728Z Ken Sharp (details)

>     Fix (pdfwrite) : incomplete submission #10124

> [base/gdevpdtd.c]

2009-10-05T07:10:40.648039Z Ken Sharp (details)

>     Fix (pdfwrite) : Improve symbolic font detection

> [base/gdevpdtd.c base/gdevpdtw.c base/gdevpdtd.h]

2009-10-05T01:37:52.593906Z Alex Cherepanov

>     Fix incorrect calculation of the page size in cljet5 driver that returned the
>     size in inches instead of points causing /rangecheck in .installpagedevice .
>     Bug 690799, customer 870.

> [base/gdevclj.c]

2009-10-04T12:42:07.575694Z Alex Cherepanov

>     Fix SEGV caused by unknown %device% prefix. Add missing check for return code
>     during lib path parsing. Thanks to Piotr Strzelczyk for the patch. Bug 690800.

> [psi/zfile.c]

2009-10-03T16:41:07.412223Z Alex Cherepanov

>     Silently ignore point displacement request when the point number is out of
>     valid range. This patch has been backported from FreeType2. Bug 690795.

> [base/ttinterp.c]

2009-10-02T23:59:45.611838Z Marcos H. Woehrmann

>     Lots of general code cleanup.
>     Fixed termination of long jobs on some systems.
>     Added explicit detection of seg faults with pdfwrite.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/readlog.pl toolbin/localcluster/build.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2009-10-02T22:34:36.678844Z Ralph Giles

>     Update the Adobe-CNS1 CMap resource to supplement 6.

> [Resource/CMap/Adobe-CNS1-6 Resource/CMap/ETHK-B5-V Resource/CMap/HKscs-B5-V Resource/CMap/UniCNS-UTF32-V Resource/CMap/ETHK-B5-H Resource/CMap/HKscs-B5-H Resource/CMap/UniCNS-UTF16-V Resource/CMap/UniCNS-UTF32-H Resource/CMap/UniCNS-UTF8-V Resource/CMap/UniCNS-UTF16-H Resource/CMap/UniCNS-UTF8-H]

2009-10-01T14:27:36.870724Z Ray Johnston (details)

>     Fix for segfault when peekstring requests more data than remains in a
>     %rom% file. Bug 690697.

> [base/gsiorom.c]

2009-10-01T03:28:46.061833Z Marcos H. Woehrmann

>     Clusterpush.pl now tests all languages.
>     Added error checking to builds.
>     Disabled pgmraw testing for xps.

> [toolbin/localcluster/splitjobs.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/readlog.pl toolbin/localcluster/build.pl toolbin/localcluster/run.pl]

2009-10-01T01:22:52.434995Z Masaki Ushizaka

>     A quick dirty hack to enable reading of wts plane files (wts_plane_x) on 64 bit machines.  Wts plane files contain a image of little endian 32 bit specific structure with a pointer, and was preventing wtsimdi device to run on 64 bit machines.
>     Tested on little endian 32 and 64 bit machines.  Should not change anything on 32 bit machines with current wts plane files.  Hope to work on big endian machines but not tested.
>     Bug #690710.

> [base/gswts.c]

2009-09-30T00:56:07.061280Z Marcos H. Woehrmann

>     First cut at a working clusterpush.pl (complete with documentation!).

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/clusterpush.txt]

2009-09-29T00:18:30.610000Z Alex Cherepanov

>     Force out-of-range values of color mask to the valid range by calculating
>     bitwise 'and' with the maximum color value. Experiments show that this is what
>     AR does. Earlier code mapped out-of-range values to the nearest valid value.
>     Bug 690786, customer 531.

> [Resource/Init/pdf_draw.ps]

2009-09-28T22:07:08.267973Z Alex Cherepanov

>     Draw a smooth curve through the points of Ink annotation. The algorithm Adobe
>     uses is unpublished but our curve is close enough to Adobe when the points
>     follow a smooth path. For random points the curve is different but looks
>     more logical than Adobe's. Bug 690758, customer 580.

> [psi/int.mak Resource/Init/pdf_draw.ps psi/zpdfops.c]

2009-09-28T18:40:49.994854Z Ralph Giles

>     Fix some broken documentation links. Bug 690787.

> [doc/Develop.htm doc/Commprod.htm]

2009-09-28T17:16:24.723655Z Ralph Giles

>     Also set the correct media type on the documenation style sheet.

> [doc/gs.css]

2009-09-28T17:14:43.100223Z Ralph Giles

>     Set a text/html media type on the html documentation so it can
>     be served directly out of svn.

> [doc/History7.htm doc/Projects.htm doc/History8.htm doc/Use.htm doc/Readme.htm doc/Deprecated.htm doc/Source.htm doc/Install.htm doc/Changes.htm doc/API.htm doc/Issues.htm doc/DLL.htm doc/Drivers.htm doc/Commprod.htm doc/Release.htm doc/Xfonts.htm doc/Devices.htm doc/Language.htm doc/Ps2ps2.htm doc/Fonts.htm doc/Develop.htm doc/Ps2pdf.htm doc/Helpers.htm doc/Psfiles.htm doc/Lib.htm doc/Hershey.htm doc/News.htm doc/Details8.htm doc/Make.htm doc/Unix-lpr.htm doc/C-style.htm doc/Ps-style.htm doc/History1.htm doc/History2.htm doc/index.html doc/History3.htm doc/Ps2epsi.htm doc/History4.htm doc/Details.htm doc/History5.htm doc/History6.htm]

2009-09-28T12:28:27.246472Z Alex Cherepanov

>     Fix line endings and a corresponding file attribute in a recently added file.

> [psi/zpdfops.c]

2009-09-28T05:30:56.923097Z Marcos H. Woehrmann

>     Added clusterpush.pl.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/clusterpull.sh toolbin/localcluster/build.pl toolbin/localcluster/clusterpush.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2009-09-26T05:34:48.796753Z Ralph Giles

>     Revert the change to EOF handling in the romfs iodevice. It fixed the
>     segfault, but broken compiled-in font access on PCL. Bug 690697.

> [base/gsiorom.c]

2009-09-25T23:16:42.622069Z Ralph Giles (details)

>     Improve EOF detection with the romfs iodevice. Fixes a segfault
>     loading shorter resources. Patch from Alex Cherepanov, bug 690697.

> [base/gsiorom.c]

2009-09-25T14:55:13.694603Z Ken Sharp (details)

>     Fix (pdfwrite) : Remove limit on images in patterns when creating later versions of PDF

> [base/gdevpdfv.c]

2009-09-25T14:19:13.610976Z Ray Johnston (details)

>     Fix for transparency problem, caused by the alpha parameters in the ExtGState
>     in the PDF interpreter (dictstack) not being maintained properly.
>     Bug 690770 for customer #1110. Thanks to Michael Vrhel for analyzing the PDF
>     to find the area that the PDF interpreter was mishandling.

> [Resource/Init/pdf_draw.ps]

2009-09-25T09:12:10.671327Z Ken Sharp (details)

>     Fix (pdfwrite) : Stricter checking when converting type 4 to type 1 masked image

> [base/gdevpdfi.c]

2009-09-25T01:29:07.733105Z Ralph Giles

>     Update the CMap resources with the new, open source versions of
>     the files for the Identity, Adobe-CNS1, Adobe-GB1, Adobe-Japan1,
>     Adobe-Japan2 and Adobe-Korea1 CMap resources.

>     Aside from the copyright and license header change and a bump to the
>     minor CMapVersion field, these versions incorporate the following
>     changes over our previous set of CMap resources:

>          Identity-H has many new ranges,
>          UniGB-UTF8-H  bumped to supplement 5,
>          UniGB-UTF16-H bumped to supplement 5,
>          UniGB-UTF32-H has some character updates.

>     These are still copyright Adobe, but now allow modification and require
>     attribution on binaries. Previously they were licensed only for verbatim
>     redistribution.

> [Resource/CMap/78-H Resource/CMap/Hojo-H Resource/CMap/UniHojo-UCS2-V Resource/CMap/90pv-RKSJ-H Resource/CMap/CNS2-H Resource/CMap/RKSJ-H Resource/CMap/78-V Resource/CMap/KSCpc-EUC-H Resource/CMap/Hojo-V Resource/CMap/90pv-RKSJ-V Resource/CMap/CNS2-V Resource/CMap/Hiragana Resource/CMap/GBT-EUC-H Resource/CMap/Roman Resource/CMap/RKSJ-V Resource/CMap/HKdlb-B5-H Resource/CMap/UniKS-UTF32-H Resource/CMap/KSCpc-EUC-V Resource/CMap/UniHojo-UTF8-H Resource/CMap/Adobe-Korea1-0 Resource/CMap/UniKS-UCS2-H Resource/CMap/Adobe-Korea1-1 Resource/CMap/Adobe-Korea1-2 Resource/CMap/GBT-EUC-V Resource/CMap/78-RKSJ-H Resource/CMap/UniJISX02132004-UTF32-H Resource/CMap/HKdlb-B5-V Resource/CMap/HKgccs-B5-H Resource/CMap/83pv-RKSJ-H Resource/CMap/UniKS-UTF32-V Resource/CMap/UniJIS2004-UTF16-H Resource/CMap/EUC-H Resource/CMap/UniHojo-UTF32-H Resource/CMap/UniHojo-UTF8-V Resource/CMap/UniGB-UCS2-H Resource/CMap/HKscs-B5-H Resource/CMap/HKm471-B5-H Resource/CMap/90msp-RKSJ-H Resource/CMap/UniKS-UCS2-V Resource/CMap/78-RKSJ-V Resource/CMap/HKgccs-B5-V Resource/CMap/UniJISX02132004-UTF32-V Resource/CMap/GBpc-EUC-H Resource/CMap/Add-H Resource/CMap/UniJIS2004-UTF16-V Resource/CMap/Adobe-GB1-0 Resource/CMap/B5pc-H Resource/CMap/KSC-EUC-H Resource/CMap/Adobe-GB1-1 Resource/CMap/EUC-V Resource/CMap/UniHojo-UTF32-V Resource/CMap/Adobe-GB1-2 Resource/CMap/Adobe-GB1-3 Resource/CMap/UniGB-UCS2-V Resource/CMap/HKscs-B5-V Resource/CMap/HKm471-B5-V Resource/CMap/Adobe-GB1-4 Resource/CMap/90msp-RKSJ-V Resource/CMap/Adobe-GB1-5 Resource/CMap/UniCNS-UTF32-H Resource/CMap/GBpc-EUC-V Resource/CMap/Add-V Resource/CMap/B5pc-V Resource/CMap/Ext-RKSJ-H Resource/CMap/KSC-EUC-V Resource/CMap/Hojo-EUC-H Resource/CMap/UniJISPro-UCS2-V Resource/CMap/GBT-H Resource/CMap/UniKS-UTF8-H Resource/CMap/GBK-EUC-H Resource/CMap/UniCNS-UTF32-V Resource/CMap/Ext-RKSJ-V Resource/CMap/Hojo-EUC-V Resource/CMap/UniGB-UTF8-H Resource/CMap/Adobe-Japan1-0 Resource/CMap/GBT-V Resource/CMap/UniKS-UTF8-V Resource/CMap/UniJIS2004-UTF8-H Resource/CMap/Adobe-Japan1-1 Resource/CMap/GBK-EUC-V Resource/CMap/UniKS-UTF16-H Resource/CMap/Adobe-Japan1-2 Resource/CMap/Adobe-Japan1-3 Resource/CMap/Adobe-Japan1-4 Resource/CMap/Adobe-Japan1-5 Resource/CMap/90ms-RKSJ-H Resource/CMap/Adobe-Japan1-6 Resource/CMap/UniJIS-UTF32-H Resource/CMap/GB-EUC-H Resource/CMap/H Resource/CMap/UniGB-UTF8-V Resource/CMap/B5-H Resource/CMap/UniJIS2004-UTF8-V Resource/CMap/UniKS-UTF16-V Resource/CMap/UniJIS-UCS2-H Resource/CMap/90ms-RKSJ-V Resource/CMap/UniHojo-UTF16-H Resource/CMap/V Resource/CMap/UniJIS-UTF32-V Resource/CMap/GB-EUC-V Resource/CMap/KSC-H Resource/CMap/UniJISPro-UTF8-V Resource/CMap/B5-V Resource/CMap/Katakana Resource/CMap/HKdla-B5-H Resource/CMap/UniJIS-UCS2-V Resource/CMap/Identity-H Resource/CMap/UniHojo-UTF16-V Resource/CMap/GBKp-EUC-H Resource/CMap/KSC-V Resource/CMap/GBK2K-H Resource/CMap/UniCNS-UTF16-H Resource/CMap/UniGB-UTF32-H Resource/CMap/HKdla-B5-V Resource/CMap/Identity-V Resource/CMap/UniCNS-UCS2-H Resource/CMap/GBKp-EUC-V Resource/CMap/GBK2K-V Resource/CMap/UniCNS-UTF16-V Resource/CMap/UniGB-UTF32-V Resource/CMap/Adobe-CNS1-0 Resource/CMap/UniJIS-UTF8-H Resource/CMap/Adobe-CNS1-1 Resource/CMap/Adobe-CNS1-2 Resource/CMap/Adobe-CNS1-3 Resource/CMap/UniCNS-UCS2-V Resource/CMap/Adobe-CNS1-4 Resource/CMap/GB-H Resource/CMap/Adobe-CNS1-5 Resource/CMap/Adobe-Japan2-0 Resource/CMap/KSCms-UHC-H Resource/CMap/Add-RKSJ-H Resource/CMap/UniJISX0213-UTF32-H Resource/CMap/UniJIS-UTF8-V Resource/CMap/UniJIS-UTF16-H Resource/CMap/GB-V Resource/CMap/KSCms-UHC-HW-H Resource/CMap/KSCms-UHC-V Resource/CMap/HKm314-B5-H Resource/CMap/Add-RKSJ-V Resource/CMap/UniJISX0213-UTF32-V Resource/CMap/UniJIS-UTF16-V Resource/CMap/UniCNS-UTF8-H Resource/CMap/KSCms-UHC-HW-V Resource/CMap/UniJIS-UCS2-HW-H Resource/CMap/HKm314-B5-V Resource/CMap/Hankaku Resource/CMap/ETen-B5-H Resource/CMap/ETenms-B5-H Resource/CMap/UniCNS-UTF8-V Resource/CMap/NWP-H Resource/CMap/CNS1-H Resource/CMap/WP-Symbol Resource/CMap/UniJIS-UCS2-HW-V Resource/CMap/UniGB-UTF16-H Resource/CMap/78-EUC-H Resource/CMap/ETen-B5-V Resource/CMap/ETenms-B5-V Resource/CMap/NWP-V Resource/CMap/CNS1-V Resource/CMap/UniGB-UTF16-V Resource/CMap/78-EUC-V Resource/CMap/CNS-EUC-H Resource/CMap/ETHK-B5-H Resource/CMap/Ext-H Resource/CMap/KSC-Johab-H Resource/CMap/78ms-RKSJ-H Resource/CMap/UniJIS2004-UTF32-H Resource/CMap/GBTpc-EUC-H Resource/CMap/CNS-EUC-V Resource/CMap/ETHK-B5-V Resource/CMap/Ext-V Resource/CMap/KSC-Johab-V Resource/CMap/78ms-RKSJ-V Resource/CMap/UniHojo-UCS2-H Resource/CMap/UniJIS2004-UTF32-V Resource/CMap/UniJISPro-UCS2-HW-V Resource/CMap/GBTpc-EUC-V]

2009-09-23T01:42:55.789973Z Alex Cherepanov (details)

>     Implement rendering of PDF Ink annotation without appearance stream. PDF
>     Spec doesn't say how to connect points in the annotation. This version uses
>     simple lineto operation but Acrobat uses curves for smoother look.
>     Bug 690758, customer 580.

> [psi/int.mak psi/zpdfops.c Resource/Init/pdf_draw.ps]

2009-09-22T19:19:22.702941Z Marcos H. Woehrmann

>     Fixed bug in automatic speed tuning of local cluster nodes and modified build process to make use of fixed parallel makefiles.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/run.pl toolbin/localcluster/compare.pl]

2009-09-22T16:53:51.759845Z Marcos H. Woehrmann

>     Local cluser regression changes:

>     Enabled minimal XPS and SVG testing.
>     Improved error reporting (errors and timeouts are now differentiated as are input errors vs. pdfwrite produced pdf file reading errors.

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/readlog.pl toolbin/localcluster/build.pl toolbin/localcluster/compare.pl]

2009-09-21T19:38:30.162606Z Ray Johnston

>     Correct placement of declaration to allow wts devices to compile on MSVC.

> [base/gdevwts.c]

2009-09-21T15:10:25.830219Z Ken Sharp (details)

>     Fix (type 1 parser) : Correct logical flaw in SEAC parsing

> [base/gxtype1.c]

2009-09-19T17:17:32.098742Z Marcos H. Woehrmann

>     Normalize machine times so the fastest machine is 1 rather than the average machine.

> [toolbin/localcluster/clustermaster.pl]

2009-09-19T02:22:31.474412Z Marcos H. Woehrmann

>     Added the machine name to log output and check for matching md5sum in last N regression runs (to try to deal with indeterminisms).

> [toolbin/localcluster/clustermaster.pl toolbin/localcluster/readlog.pl toolbin/localcluster/build.pl toolbin/localcluster/compare.pl]

2009-09-18T23:07:41.949391Z Ralph Giles

>     Remove an unncessary keyword substitution flags from the Adobe CMaps.

>     These files don't have an RCS/SVN version header, so the substitution
>     could only cause problems. In the case of the two Identity-UTF16 CMap
>     files which are owned by Artifex and do have version headers, I've
>     reduced the substitutions to just the 'Id' keyword to match the rest of
>     the source.

> [Resource/CMap/78-H Resource/CMap/GB-RKSJ-H Resource/CMap/Hojo-H Resource/CMap/CNS06-RKSJ-H Resource/CMap/Adobe-Japan1-90pv-RKSJ Resource/CMap/Adobe-CNS1-UCS2 Resource/CMap/GBK-EUC-UCS2 Resource/CMap/UniHojo-UCS2-V Resource/CMap/CNS2-H Resource/CMap/90pv-RKSJ-H Resource/CMap/Adobe-Japan1-UCS2 Resource/CMap/RKSJ-H Resource/CMap/78-V Resource/CMap/Hojo-V Resource/CMap/KSCpc-EUC-H Resource/CMap/TCVN-RKSJ-H Resource/CMap/90pv-RKSJ-V Resource/CMap/CNS2-V Resource/CMap/UCS2-ETen-B5 Resource/CMap/Hiragana Resource/CMap/GBT-EUC-H Resource/CMap/Roman Resource/CMap/RKSJ-V Resource/CMap/HKdlb-B5-H Resource/CMap/KSCpc-EUC-V Resource/CMap/Adobe-Japan1-H-Host Resource/CMap/UniHojo-UTF8-H Resource/CMap/CNS05-RKSJ-H Resource/CMap/CNS15-RKSJ-H Resource/CMap/UCS2-GBK-EUC Resource/CMap/Adobe-Korea1-0 Resource/CMap/Adobe-Korea1-1 Resource/CMap/GBT-EUC-V Resource/CMap/Adobe-Korea1-2 Resource/CMap/78-RKSJ-H Resource/CMap/HKdlb-B5-V Resource/CMap/HKgccs-B5-H Resource/CMap/83pv-RKSJ-H Resource/CMap/KSC2-RKSJ-H Resource/CMap/Adobe-CNS1-H-Mac Resource/CMap/EUC-H Resource/CMap/UniHojo-UTF32-H Resource/CMap/UniHojo-UTF8-V Resource/CMap/Adobe-CNS1-B5pc Resource/CMap/UniGB-UCS2-H Resource/CMap/90msp-RKSJ-H Resource/CMap/Adobe-GB1-GBpc-EUC Resource/CMap/Adobe-Japan1-H-CID Resource/CMap/HKm471-B5-H Resource/CMap/HKscs-B5-H Resource/CMap/GBT-RKSJ-H Resource/CMap/78-RKSJ-V Resource/CMap/ETen-B5-UCS2 Resource/CMap/HKgccs-B5-V Resource/CMap/UCS2-90ms-RKSJ Resource/CMap/GBpc-EUC-H Resource/CMap/Add-H Resource/CMap/B5pc-H Resource/CMap/Adobe-GB1-0 Resource/CMap/EUC-V Resource/CMap/Adobe-GB1-1 Resource/CMap/KSC-EUC-H Resource/CMap/UniHojo-UTF32-V Resource/CMap/Adobe-GB1-2 Resource/CMap/UniGB-UCS2-V Resource/CMap/Adobe-GB1-3 Resource/CMap/HKscs-B5-V Resource/CMap/HKm471-B5-V Resource/CMap/Adobe-GB1-4 Resource/CMap/90msp-RKSJ-V Resource/CMap/90pv-RKSJ-UCS2C Resource/CMap/Adobe-GB1-5 Resource/CMap/CNS04-RKSJ-H Resource/CMap/UniCNS-UTF32-H Resource/CMap/GBpc-EUC-V Resource/CMap/KSCpc-EUC-UCS2C Resource/CMap/Add-V Resource/CMap/B5pc-V Resource/CMap/Ext-RKSJ-H Resource/CMap/KSC-EUC-V Resource/CMap/Hojo-EUC-H Resource/CMap/UCS2-GBpc-EUC Resource/CMap/GBT-H Resource/CMap/GBK-EUC-H Resource/CMap/UniCNS-UTF32-V Resource/CMap/UCS2-B5pc Resource/CMap/Adobe-GB1-H-Mac Resource/CMap/KSCms-UHC-UCS2 Resource/CMap/Ext-RKSJ-V Resource/CMap/Hojo-EUC-V Resource/CMap/UniGB-UTF8-H Resource/CMap/UCS2-90pv-RKSJ Resource/CMap/Adobe-Japan1-0 Resource/CMap/GBT-V Resource/CMap/Adobe-Japan1-1 Resource/CMap/GBK-EUC-V Resource/CMap/Adobe-Japan1-2 Resource/CMap/Adobe-GB1-H-Host Resource/CMap/Adobe-Japan1-3 Resource/CMap/CNS03-RKSJ-H Resource/CMap/Adobe-Japan1-4 Resource/CMap/Adobe-Japan1-5 Resource/CMap/90ms-RKSJ-H Resource/CMap/Adobe-Japan1-6 Resource/CMap/Adobe-Korea1-KSCms-UHC Resource/CMap/UCS2-KSCpc-EUC Resource/CMap/Adobe-Japan1-PS-H Resource/CMap/GB-EUC-H Resource/CMap/H Resource/CMap/UniGB-UTF8-V Resource/CMap/B5-H Resource/CMap/Adobe-GB1-GBK-EUC Resource/CMap/Adobe-CNS1-H-CID Resource/CMap/90ms-RKSJ-V Resource/CMap/GBpc-EUC-UCS2C Resource/CMap/UniHojo-UTF16-H Resource/CMap/B5pc-UCS2 Resource/CMap/KSC-H Resource/CMap/Adobe-Japan1-PS-V Resource/CMap/GB-EUC-V Resource/CMap/B5pc-UCS2C Resource/CMap/Adobe-CNS1-ETenms-B5 Resource/CMap/B5-V Resource/CMap/Katakana Resource/CMap/HKdla-B5-H Resource/CMap/Identity-H Resource/CMap/UniHojo-UTF16-V Resource/CMap/CNS02-RKSJ-H Resource/CMap/GBKp-EUC-H Resource/CMap/KSC-V Resource/CMap/GBK2K-H Resource/CMap/UniCNS-UTF16-H Resource/CMap/HKdla-B5-V Resource/CMap/UniGB-UTF32-H Resource/CMap/Adobe-GB1-UCS2 Resource/CMap/Identity-V Resource/CMap/UniCNS-UCS2-H Resource/CMap/GBKp-EUC-V Resource/CMap/GBK2K-V Resource/CMap/Adobe-GB1-H-CID Resource/CMap/UniCNS-UTF16-V Resource/CMap/UniGB-UTF32-V Resource/CMap/Adobe-CNS1-0 Resource/CMap/Adobe-CNS1-1 Resource/CMap/Adobe-CNS1-2 Resource/CMap/Adobe-CNS1-H-Host Resource/CMap/Adobe-CNS1-3 Resource/CMap/UniCNS-UCS2-V Resource/CMap/GB-H Resource/CMap/Adobe-CNS1-4 Resource/CMap/Adobe-CNS1-5 Resource/CMap/CNS01-RKSJ-H Resource/CMap/Adobe-Japan2-0 Resource/CMap/KSCms-UHC-H Resource/CMap/Add-RKSJ-H Resource/CMap/GB-V Resource/CMap/KSCms-UHC-HW-H Resource/CMap/HKm314-B5-H Resource/CMap/KSCms-UHC-V Resource/CMap/Add-RKSJ-V Resource/CMap/UniCNS-UTF8-H Resource/CMap/KSCms-UHC-HW-V Resource/CMap/Adobe-Korea1-H-Mac Resource/CMap/HKm314-B5-V Resource/CMap/90pv-RKSJ-UCS2 Resource/CMap/Hankaku Resource/CMap/ETenms-B5-H Resource/CMap/ETen-B5-H Resource/CMap/UniCNS-UTF8-V Resource/CMap/KSCpc-EUC-UCS2 Resource/CMap/CNS1-H Resource/CMap/NWP-H Resource/CMap/Hojo-RKSJ-H Resource/CMap/UniGB-UTF16-H Resource/CMap/78-EUC-H Resource/CMap/ETenms-B5-V Resource/CMap/ETen-B5-V Resource/CMap/Adobe-Korea1-UCS2 Resource/CMap/Adobe-Korea1-KSCpc-EUC Resource/CMap/CNS1-V Resource/CMap/NWP-V Resource/CMap/90ms-RKSJ-UCS2 Resource/CMap/UniGB-UTF16-V Resource/CMap/78-EUC-V Resource/CMap/KSC-RKSJ-H Resource/CMap/Adobe-Japan1-90ms-RKSJ Resource/CMap/CNS-EUC-H Resource/CMap/ETHK-B5-H Resource/CMap/Ext-H Resource/CMap/CNS07-RKSJ-H Resource/CMap/KSC-Johab-H Resource/CMap/Adobe-Korea1-H-Host Resource/CMap/78ms-RKSJ-H Resource/CMap/GBTpc-EUC-H Resource/CMap/HK-RKSJ-H Resource/CMap/GBpc-EUC-UCS2 Resource/CMap/CNS-EUC-V Resource/CMap/ETHK-B5-V Resource/CMap/Ext-V Resource/CMap/KSC-Johab-V Resource/CMap/Adobe-Japan1-H-Mac Resource/CMap/UCS2-KSCms-UHC Resource/CMap/78ms-RKSJ-V Resource/CMap/UniHojo-UCS2-H Resource/CMap/GBTpc-EUC-V Resource/CMap/Adobe-Korea1-H-CID]

2009-09-18T23:01:07.032292Z Ralph Giles

>     Remove spurious executable bits on Adobe CMap files.

> [Resource/CMap/Adobe-GB1-4 Resource/CMap/Adobe-Japan1-4 Resource/CMap/Adobe-Korea1-2 Resource/CMap/Adobe-CNS1-3]

2009-09-17T16:25:00.274251Z Henry Stiles

>     Fixes 690719 and many other unreported issues associated with the
>     wtsimdi device.  The default strip_copy_rop musn't be used, the clist
>     code will constant fold raster operations before determining if a
>     contone buffer is needed to render the band, the same optimizations
>     must be used when the clist is being played back and rendered, the
>     default strip_copy_rop does not (by design) have these optimizations.
>     I don't know the intent of the cryptic comment above the section where
>     the procedure override occurred.

>     There are too many problems with the wtsimdi device to enumerate code
>     test file differences of the change, preliminary visual testing of the
>     wtsimdi device output is needed first.

> [base/gdevwts.c]

2009-09-17T02:36:44.475667Z Marcos H. Woehrmann

>     Added a very quick and dirty hack to look for the link.icc and wts_plane_[0..3] files in /usr/local/lib/ghostscript if they cannot be found in the current directory.

> [base/gdevwts.c]

2009-09-14T20:07:32.166692Z Alex Cherepanov

>     Fix a botched pointer comparison which fails if the pointer difference
>     overflows the signed integer range. Patch from Mark Davies with
>     changes. Bug 689711.

> [base/gscencs.c]

2009-09-12T17:00:10.219852Z Marcos H. Woehrmann

>     Fixed typo in comment that was generating groff warning.

> [psi/zfunc.c]

2009-09-10T17:41:10.637172Z Ralph Giles

>     Add gc enumeration to the two string members of the svgwrite device
>     structure. Fixes a segfault with large input sets. Bug 690757.

>     Note that this requires a new suffix enumerator macro, since the
>     two strings case wasn't previously covered.

> [base/gsstruct.h base/gdevsvg.c]

2009-09-10T01:13:48.915848Z Ralph Giles

>     Call paperinit() and paperdone() when using the libpaper api calls
>     as apparently required by the API. However, these calls do nothing
>     in the current libpaper implementation (version 1.1.23).

>     Also, return the name given by defaultpapername() if systempapername()
>     does not return a result. This is an indicated path in the libpaper
>     documentation and example code, although again, the the 1.1.23
>     implementation calls defaultpapername() from systempapername() as
>     the fallback.

> [base/gp_upapr.c]

2009-09-09T22:17:51.567693Z Michael Vrhel (details)

>     Fix for bug 690534.

> [base/gdevp14.c base/gxblend1.c]

2009-09-09T06:21:02.373936Z Michael Vrhel (details)

>     A fix for the rendering issue that occurred with bug 689581 after fixing the rangecheck error.  This should fix 689581.

> [base/gdevp14.c]

2009-09-09T01:25:59.649343Z Alex Cherepanov

>     Skip everything before 'begincodespacerange' in regulat CMap stream to avoid
>     PostScript errors in CMap headers. PDF interpreter doesn't need any data from
>     the header. See rev. 9240 for the bug 689842 that did the same for ToUnicode
>     CMap files. Bug 690737, customer 580.

> [Resource/Init/pdf_font.ps]

2009-09-08T22:54:10.281044Z Michael Vrhel

>     Change to avoid having a rangecheck error occur when the softmask group colorspace is a pattern.   This keeps us from having the error occur with bug 689581 however there is still a rendering issue when we go to a sep device.  I have that narrowed down and hopefully will have fixed soon.

>     DIFFERENCES EXPECTED

>     None on the regression files.

> [base/gstrans.c]

2009-09-08T17:58:20.444720Z Michael Vrhel

>     Removal of line that had the custom pdf14 prototype device used as the initial device for the CMYKSpot pdf14 device.

>     DIFERENCES EXPECTED:

>     None.

> [base/gdevp14.c]

2009-09-07T20:25:11.850252Z Ralph Giles

>     Restore -dynamiclib to the MacOS framework build line.

>     I though the LDFLAGS_SO in unix-dll.mak would provide this in the
>     previous commit, but they do not.

>     Also rationalize the use use of SOPREF in macos-fw.mak.

> [base/macos-fw.mak]

2009-09-07T20:10:46.938357Z Ralph Giles

>     Move the value passed to -install_name for the framework build
>     into unix-dll.mak to avoid also passing it when trying to link
>     the client where it conflicts.

> [base/macos-fw.mak base/unix-dll.mak]

2009-09-07T19:51:20.071990Z Ralph Giles

>     Also update header source directories in the framework build.

> [base/macos-fw.mak]

2009-09-07T19:13:21.625118Z Ralph Giles

>     Update the path to dxmain.c in the MacOS framework build.

>     This was omitted during the source tree split, when dxmain.c moved
>     into psi/. Bug 690394.

> [base/macos-fw.mak]

2009-09-03T18:00:06.616356Z Marcos H. Woehrmann

>     Initial checkin of the local cluster scripts.

> [toolbin/localcluster/setupcluster toolbin/localcluster/splitjobs.pl toolbin/localcluster/clustermaster.pl toolbin/localcluster/clusterpull.sh toolbin/localcluster/readlog.pl toolbin/localcluster/build.pl toolbin/localcluster/readme toolbin/localcluster/run.pl toolbin/localcluster toolbin/localcluster/compare.pl]

2009-09-02T16:18:07.841097Z Henry Stiles

>     The static initialization for memory structure types was not complete,
>     in some cases, failing to initialize the procedure data.  I suspect
>     this is harmless but didn't take the time to track down each use of
>     the faulty macros.

> [base/gsstruct.h]

2009-09-01T18:55:55.532790Z Ralph Giles

>     Set a mime-type property on the new pdf documentation file so svn
>     doesn't attempt to generate textual diffs for it.

> [doc/Color_Architecture.pdf]

2009-09-01T18:10:02.037482Z Michael Vrhel

>     Changes to color architecture document based upon comments from Miles.

> [doc/Color_Architecture.tex doc/figures/Overview.eps doc/Color_Architecture.pdf]

2009-09-01T16:59:40.570903Z Michael Vrhel

>     Addition of color architecture document (PDF) and its latex source and eps figures to document folder.

> [doc/Color_Architecture.tex doc/figures/XPS_Integer_Gray_RGB_Image.eps doc/figures/Overview.eps doc/figures/XPS_DeviceN.eps doc/figures/PDF_Render.eps doc/figures/XPS_Render.eps doc/figures doc/figures/XPS_Vector_Color.eps doc/figures/XPS_RGB_Image_Float.eps doc/figures/PS_Spec.eps doc/Color_Architecture.pdf doc/figures/PS_Render.eps doc/figures/PDF_Spec.eps doc/figures/Ghost.eps]

2009-09-01T14:09:38.072790Z Ken Sharp (details)

>     Fix (pdfwrite) : quiet a compiler warning

> [base/gdevpdtc.c]

2009-09-01T14:02:26.307800Z Ken Sharp (details)

>     Fix (pdfwrite) : Remove some unused variables

> [base/gdevpdfd.c]

2009-09-01T13:31:15.405830Z Ken Sharp (details)

>     Fix (pdfwrite) : Minor compiler warning

> [base/gdevpsft.c]

2009-09-01T13:29:34.736595Z Ken Sharp (details)

>     Fix : Minor compiler warnings

> [base/gsfcid.c]

2009-09-01T07:42:38.080497Z Ken Sharp (details)

>     Fix (pdfwrite) : Silence Coverity warning

> [base/gdevpdfm.c]

2009-08-31T17:00:13.229845Z Ralph Giles

>     Pass the full CFLAGS to CCAUX in the autoconf build, instead of just
>     GCFLAGS. This propagates target-defining options which are typically
>     set in XCFLAGS to build utilities so that, for example, -m32 results
>     in the correct sizes in arch.h.

>     Note that this may complicate cross-compiles. In theory CCAUX has
>     separate, simpler flags because of this, but there are also several
>     examples in the documentation of using XCFLAGS this way, so this
>     seems to the the safer approach at this time.

>     The dynamic flags for the separate x11 devices module are also
>     passed through XCFLAGS but they do not harm other than cluttering
>     the command line.

> [base/Makefile.in]

2009-08-28T17:22:50.739244Z Henry Stiles

>     New attributes required to fix 690736, the actual fix will be in the
>     next commit to PCL XL.  We can't update the trees simultaneously.

> [base/gdevpxat.h]

2009-08-26T20:03:31.773651Z Alex Cherepanov

>     Work around a bug in PDF generated by "PdfWrapper v1.00" that sometimes
>     writes "." instead of "0." in content stream. Bug 690730.

> [Resource/Init/pdf_draw.ps]

2009-08-25T08:18:02.437396Z Ken Sharp (details)

>     Fix (pdfwrite) : Write ToUnicode CMaps with 2-byte code space ranges and keys

> [base/gdevpdte.c]

2009-08-21T19:40:48.371802Z Ray Johnston

>     Add check for NOTRANSPARENCY in patternusestransparency since this is also used
>     by resolvepattern in pdf_draw.ps. If this flag is set, but the pdf14 device is
>     not active, "unregistered" error occurs. Bug 690727 for customer 531.

> [Resource/Init/pdf_main.ps]

2009-08-21T05:19:49.329915Z Alex Cherepanov

>     Ghostscript caches pattern instances in the pattern dictionary. This patch
>     doesn't cache anything in the null pattern dictionary because it's read-only.
>     Bug 690725.

> [Resource/Init/pdf_ops.ps]

2009-08-19T16:22:08.241617Z Alex Cherepanov (details)

>     Process embedded files as a portable collection only when /Collection
>     attribute is defined in the document root. Bug 690709.

> [Resource/Init/pdf_main.ps]

2009-08-19T06:04:51.856837Z Ray Johnston

>     Simplify / reduce the ht rendering logic to remove the special cases where
>     the cache had 1 level per tile (which should now be the usual case) and the
>     case where there is only one tile (which means that the tile is 1Mb).

>     The special case handling of these cases does not result in any performance
>     improvement with the modern (1Mb) cache size and thus this is a code
>     simplification.

> [base/gxht.c]

2009-08-19T06:00:39.095541Z Ray Johnston (details)

>     Adjust ht cache allocation to a size that will actually be used by the
>     cache logic. The changes allow for replicating tiles along the width axis
>     up to a ulong multiple that optimizes tile blitting in the mem device
>     logic. Addresses bug 690693 by reducing the memory used from > 1Gb to
>     < 200 Mb. As noted in the comments to that bug, there still may be some
>     optimizations remaining.

> [base/gsht.c]

2009-08-18T20:41:17.764580Z Ray Johnston

>     Add 'used' and 'max_used' information to the -Za output. This is handy for
>     investigating memory usage and only affects a debug build when -Za (or -ZA)
>     is used.

> [base/gsmalloc.c]

2009-08-17T22:13:01.172961Z Henry Stiles

>     Improve diagnostics for detecting problems with virtual memory spaces
>     (see bug #688333).  The vm space id was not initilialized for all
>     allocations.  This change reduce the list from hundreds down to tens of
>     entries for a very simple postscript job.

> [base/gsalloc.c]

2009-08-15T03:02:03.213076Z Alex Cherepanov

>     Fix rendering artifacts in interpolated images caused by intermediate bit
>     buffer not reset when data get flushed to output buffer. Bug 689566.

> [base/gsbitops.h]

2009-08-14T04:12:58.692182Z Alex Cherepanov (details)

>     Remove code that tries to pause at the end of the .PFB binary data in an
>     attempt to keep from reading beyond the end of the encrypted data, sometimes
>     misidentifying the end of the actual data, and stopping early. Bug 465936.

> [base/seexec.c base/sfilter.h psi/zmisc1.c]

2009-08-14T00:33:11.113850Z Alex Cherepanov

>     Change literal /FontBBox array into executable one for better compatibility
>     with legacy software. QuarkXPress 3.31, idraw, and some versions of dvips
>     assume that /FontBBox is executable. Bugs 690683, 687120, customer 460.

> [Resource/Font/URWPalladioL-BoldItal Resource/Font/NimbusSanL-Bold Resource/Font/NimbusRomNo9L-Medi Resource/Font/URWChanceryL-MediItal Resource/Font/CenturySchL-Roma Resource/Font/NimbusMonL-Bold Resource/Font/NimbusSanL-BoldItal Resource/Font/NimbusRomNo9L-MediItal Resource/Font/URWGothicL-Demi Resource/Font/URWBookmanL-DemiBold Resource/Font/NimbusRomNo9L-Regu Resource/Font/URWGothicL-Book Resource/Font/NimbusSanL-ReguCond Resource/Font/URWBookmanL-Ligh Resource/Font/CenturySchL-Bold Resource/Font/NimbusRomNo9L-ReguItal Resource/Font/URWBookmanL-DemiBoldItal Resource/Font/NimbusMonL-ReguObli Resource/Font/NimbusSanL-ReguCondItal Resource/Font/CenturySchL-Ital Resource/Font/URWPalladioL-Roma Resource/Font/CenturySchL-BoldItal Resource/Font/URWBookmanL-LighItal Resource/Font/NimbusSanL-BoldCond Resource/Font/NimbusSanL-BoldCondItal Resource/Font/NimbusMonL-BoldObli Resource/Font/URWGothicL-DemiObli Resource/Font/NimbusSanL-Regu Resource/Font/URWPalladioL-Bold Resource/Font/NimbusMonL-Regu Resource/Font/URWGothicL-BookObli Resource/Font/NimbusSanL-ReguItal Resource/Font/URWPalladioL-Ital]

2009-08-13T19:04:34.663531Z Alex Cherepanov (details)

>     In hex form of eexec stream, break out of reading loop and try to interpret
>     the accumulated data when a whitespace character is encountered. Skip whitespace
>     characters when the control returns to /eexecDecode filter. Bug 689577.

> [base/sstring.c base/seexec.c base/sfilter.h base/strimpl.h]

2009-08-13T14:58:04.684321Z Ken Sharp

>     (empty)

> [base/gdevpdfm.c base/gdevpdfc.c base/gdevpdft.c base/gdevpdfu.c base/gdevpdfv.c base/gdevpdfg.c base/gdevpdfi.c]

2009-08-13T07:57:02.889637Z Ken Sharp (details)

>     Fix (pdfwrite) : Check pointer before dereferencing

> [base/gdevpdfb.c]

2009-08-12T07:09:40.485630Z Ken Sharp (details)

>     Fix (pdfwrite): Writing invalid numbers for linecap and linejoin parameters

> [base/gdevpsdu.c]

2009-08-11T15:47:12.926634Z Alex Cherepanov

>     Stop processing of embedded Type 1 font as soon as operator eexec returns.
>     Skip the trailer that may be truncated or corrupted. Bug 690701, customer 780.

> [Resource/Init/pdf_font.ps]

2009-08-11T15:10:57.046923Z Henry Stiles

>     The debugging code to dump an allocator crashed when printing
>     references, also add a convenience function so it can be easily called
>     from the debugger and a reminder in ilocate.  All debugging changes,
>     no expected differences.

> [base/gxalloc.h psi/ilocate.c base/gsalloc.c]

2009-08-11T04:11:32.968611Z Alex Cherepanov

>     Reorder a logical expression in bbox device to avoid evaluation of
>     uninitialized part. Fix a Purify warning.

> [base/gdevbbox.c]

2009-08-10T23:29:24.006231Z Henry Stiles

>     Adds a new memory device constructor
>     (gs_make_mem_device_with_copydevice) to replace gs_make_mem_device and
>     fixes several device reference counting problems (leaks) which
>     affected all the the client languages.  No expected visual
>     differences.

> [base/gdevdrop.c base/gxpcmap.c base/gxdevmem.h base/gdevmem.c]

2009-08-10T18:52:21.508883Z Henry Stiles

>     Add a new memory device constructor which uses copydevice.

> [base/lib.mak base/gxdevmem.h base/gdevmem.c]

2009-08-07T18:29:05.729614Z Ralph Giles

>     Propagate LDFLAGS to the shared library gs client link command lines
>     in the the autoconf build. Bug 690695.

> [base/unix-dll.mak]

2009-08-07T14:08:57.827147Z Ken Sharp

>     Fix a benign type cast warning from MSVC 2008 by explicitly casting the glyph name.

> [base/gdevpdtd.c]

2009-08-07T13:54:04.799461Z Ken Sharp

>     Inadvertently left a line commented out (with a C++ style comment!) which should have
>     been removed. Apologies all round.

> [base/gdevpdtd.c]

2009-08-07T13:46:58.208375Z Ken Sharp (details)

>     Fix (pdfwrite) : Embedded TrueType fonts not correctly flagged as Symbolic

> [base/gdevpdtd.c]

2009-08-06T17:14:10.510938Z Michael Vrhel (details)

>     Fix for bug 690670.  Softmask color space was incorrectly getting set to DeviceN when the color space was undefined for the group and the output device was a separation device.

> [base/gstrans.c]

2009-08-05T22:12:58.428110Z Marcos H. Woehrmann (details)

>     Reverts r8510, r8511, r8513, r8597.

> [base/gsptype2.c base/gsptype2.h base/gximask.c base/gxfill.c]

2009-08-04T01:32:50.525295Z Henry Stiles

>     Fixes a regression with revision 5219, the log for this revision says:

>       "Valid memory pointer used create a tile_clip device instead of
>       NULL"

>     Unfortunately the tile clip device is created on the c stack and
>     should not get a non null memory pointer.  Later in gxcht.c this same
>     device memory pointer is used to get a gs id, maybe this was the real
>     motivation for the change.  We now use the device halftone memory
>     pointer and the device is initialized with a NULL memory pointer as
>     expected.

> [base/gxcht.c base/gxp1fill.c]

2009-08-03T03:09:50.293548Z Alex Cherepanov

>     Add missing initialization of the path rule member during setting up
>     the stack-allocated clipping path structure. Fix a Purify warning.

> [base/gxcpath.c]

2009-08-02T23:55:26.536287Z Alex Cherepanov

>     Remove a line that has no effect other than causing frequent Purify warning
>     and puzzling the reader.

> [base/ttfmain.c]

2009-08-02T23:50:02.458497Z Alex Cherepanov

>     Fully initialize CFD stream state. Fix a Purify warning in 23-12B.PS and
>     stop printing wild core instead of error messages.

> [base/scfx.h]

2009-08-02T23:16:26.642637Z Alex Cherepanov

>     Fix all remaining MSVC warning other than C4018 or C4244 that have little
>     value and should be suppressed. Bug 690660.

> [base/gdevp14.c psi/zcid.c base/gdevpdti.h base/gxacpath.c base/gxpcolor.h libpng/pngwio.c]

2009-08-01T03:14:53.314562Z Alex Cherepanov

>     Fix a common Purify warning; skip calculations with uninitialized values
>     during processing an empty glyph, such as /space .

> [base/gxhintn.c]

2009-08-01T03:02:47.627968Z Alex Cherepanov

>     Swap transposed code fragments in image interpolation logic. Old code missed
>     some optimizations and could cause wrong rendering. Clear a Purify warning
>     about uninitialized memory access running 148-11.ps.

> [base/gxiscale.c]

2009-08-01T02:46:33.092104Z Alex Cherepanov

>     Fix yet another case of missing dereference of indirect objects. Bug 690675.

> [Resource/Init/pdf_draw.ps]

2009-08-01T02:41:03.067359Z Alex Cherepanov

>     Fix processing of -dUseCropBox that was broken by the rev. 9805.
>     Old code messed up the operand stack when -dUseCropBox was requested but no
>     /CropBox attribute was in the PDF file. Bug 690676, customer 330.

> [Resource/Init/pdf_main.ps]

2009-08-01T00:31:06.505318Z Ralph Giles

>     Remove a reference to the obsolete AFPL license text.

> [doc/Release.htm]

2009-08-01T00:31:04.401366Z Ralph Giles

>     Remove an unnecessary header file.

> [psi/int.mak psi/igc.c]

2009-08-01T00:27:25.216685Z Ralph Giles

>     Bump version after the 8.70 release.

> [base/gscdef.c base/version.mak Resource/Init/gs_init.ps doc/News.htm]

2009-07-31T18:06:12.135189Z Ralph Giles

>     Update changelogs and open bug numbers for 8.70 final.

> [doc/History8.htm doc/News.htm doc/Details8.htm]